<?php
/**

 * */
global $allow_genuine;
if (!$allow_genuine) {
	return;
}
if (!class_exists('Redux_Framework_sample_config')) {
	class Redux_Framework_sample_config
	{
		public $args = array();
		public $sections = array();
		public $theme;
		public $ReduxFramework;
		public function __construct()
		{
			if (!class_exists('ReduxFramework')) {
				return;
			}
			$this->initSettings();
		}
		public function initSettings()
		{
			// Just for demo purposes. Not needed per say.
			$this->theme = wp_get_theme();
			// Set the default arguments
			$this->setArguments();
			// Create the sections and fields
			$this->setSections();
			if (!isset($this->args['opt_name'])) {
				// No errors please
				return;
			}
			// If Redux is running as a plugin, this will remove the demo notice and links
			add_action('redux/loaded', array($this, 'remove_demo'));
			$this->ReduxFramework = new ReduxFramework($this->sections, $this->args);
		}
		/*
		 * Filter hook for filtering the default value of any given field. Very useful in development mode.
		 */
		function change_defaults($defaults)
		{
			$defaults['str_replace'] = 'Testing filter hook!';
			return $defaults;
		}
		// Remove the demo link and the notice of integrated demo from the redux-framework plugin
		function remove_demo()
		{
			// Used to hide the demo mode link from the plugin page. Only used when Redux is a plugin.
			if (class_exists('ReduxFrameworkPlugin')) {
				remove_filter('plugin_row_meta', array(ReduxFrameworkPlugin::instance(), 'plugin_metalinks'), null, 2);
				// Used to hide the activation notice informing users of the demo panel. Only used when Redux is a plugin.
				remove_action('admin_notices', array(ReduxFrameworkPlugin::instance(), 'admin_notices'));
			}
		}
		public function setSections()
		{
			ob_start();
			$ct = wp_get_theme();
			$this->theme = $ct;
			$item_name = $this->theme->get('Name');
			$tags = $this->theme->Tags;
			$screenshot = $this->theme->get_screenshot();
			$class = $screenshot ? 'has-screenshot' : '';
			$customize_title = sprintf('萨龙网络原创主题： &#8220;%s&#8221;', $this->theme->display('Name'));
			?>
            <div id="current-theme" class="<?php 
			echo esc_attr($class);
			?>
">
            <?php 
			if ($screenshot) {
				?>
                <?php 
				if (current_user_can('edit_theme_options')) {
					?>
                        <a href="<?php 
					echo wp_customize_url();
					?>
" class="load-customize hide-if-no-customize" title="<?php 
					echo esc_attr($customize_title);
					?>
">
                            <img src="<?php 
					echo esc_url($screenshot);
					?>
" alt="<?php 
					esc_attr_e('Current theme preview');
					?>
" />
                        </a>
                <?php 
				}
				?>
                    <img class="hide-if-customize" src="<?php 
				echo esc_url($screenshot);
				?>
" alt="<?php 
				esc_attr_e('Current theme preview');
				?>
" />
                <?php 
			}
			?>

                <h4><?php 
			printf('主题：%s', $this->theme->display('Name'));
			?>
</h4>

                <div>
                    <ul class="theme-info">
                        <li><?php 
			printf('作者：%s', $this->theme->display('Author'));
			?>
</li>
                        <li><?php 
			printf('版本：%s', $this->theme->display('Version'));
			?>
</li>
                        <li><?php 
			echo '<strong>' . '标签' . '：</strong> ';
			printf($this->theme->display('Tags'));
			?>
</li>
                    </ul>
                    <p class="theme-description"><?php 
			echo $this->theme->display('Description');
			?>
</p>
            <?php 
			if ($this->theme->parent()) {
				printf(' <p class="howto">' . '这是个 <a href=\"%1$s\"> 子主题 </a> 需要父级主题支持使用， %2$s 。' . '</p>', 'https://yfdxs.com', $this->theme->parent()->display('Name'));
			}
			?>

                </div>
            </div>

            <?php 
			$item_info = ob_get_contents();
			ob_end_clean();
			// 常规
			$this->sections[] = array('icon' => 'dashicons-admin-generic', 'title' => __('常规', 'salong'), 'fields' => array(array('id' => 'logo', 'type' => 'media', 'url' => true, 'title' => __('LOGO图片', 'salong'), 'compiler' => true, 'readonly' => false, 'subtitle' => __('更新你的LOGO图片，建议大小：200*64', 'salong'), 'default' => array('url' => get_template_directory_uri() . '/images/logo.jpg')), array('id' => 'custom_favicon', 'type' => 'media', 'url' => true, 'compiler' => true, 'readonly' => false, 'title' => __('自定义favicon', 'salong'), 'subtitle' => __('更新你的自定义favicon，建议大小：16*16', 'salong'), 'default' => array('url' => get_template_directory_uri() . '/images/favicon.jpg')), array('id' => 'custom_ios_favicon', 'type' => 'media', 'url' => true, 'compiler' => true, 'readonly' => false, 'title' => __('自定义IOS屏幕图标', 'salong'), 'subtitle' => __('更新你的自定义IOS屏幕图标，建议大小：120*120', 'salong'), 'default' => array('url' => get_template_directory_uri() . '/images/favicon.jpg')), array('id' => 'default_thumb', 'type' => 'media', 'url' => true, 'compiler' => true, 'readonly' => false, 'title' => __('默认缩略图', 'salong'), 'subtitle' => __('文章与产品列表缩略图', 'salong'), 'default' => array('url' => get_template_directory_uri() . '/images/default_thumb.jpg')), array('id' => 'body_background', 'type' => 'background', 'title' => __('全站背景', 'salong'), 'subtitle' => __('全站背景设置', 'salong'), 'output' => array('body'), 'default' => array('background-color' => '#f8f8f8', 'background-image' => get_template_directory_uri() . '/images/body.png', 'background-repeat' => 'repeat', 'background-size' => 'inherit', 'background-attachment' => 'fixed', 'background-position' => 'center center')), array('id' => 'thumb_mode', 'type' => 'button_set', 'title' => __('缩略图方式', 'salong'), 'options' => array('timthumb' => __('timthumb.php插件', 'salong'), 'wpauto' => __('WP自带', 'salong')), 'default' => 'timthumb', 'subtitle' => __('默认timthumb.php插件', 'salong'), 'desc' => __('选择缩略图的显示模式，timthumb.php插件更方便实用，WP自带的更加安全，但会产生两张600*338与128*72的缩略图，做为缩略图的图片比例必需为400*225。', 'salong')), array('id' => 'switch_post_type', 'type' => 'button_set', 'multi' => true, 'title' => __('自定义类型文章开关', 'salong'), 'options' => array('bulletin' => __('公告', 'salong'), 'gallery' => __('画廊', 'salong'), 'video' => __('视频', 'salong')), 'default' => array('bulletin', 'gallery', 'video'), 'subtitle' => __('默认都启用', 'salong'), 'desc' => __('自定义类型文章开关关闭，前后台都将不显示。也许你发现没有产品的开关，因为主题对WooCommerce商城插件进行了判断，如果网站启用了商城插件，相应的产品都将显示，否则就不显示。', 'salong')), array('id' => 'switch_wow', 'type' => 'switch', 'title' => __('是否启用页面滚动动画', 'salong'), 'subtitle' => __('默认启用', 'salong'), 'default' => true), array('id' => 'switch_triangle', 'type' => 'switch', 'title' => __('是否显示三角图标', 'salong'), 'subtitle' => __('默认显示', 'salong'), 'default' => true), array('id' => 'switch_post_type_slug', 'type' => 'switch', 'title' => __('是否启用自定义文章类型伪静态', 'salong'), 'subtitle' => __('默认启用', 'salong'), 'default' => true), array('id' => 'post_type_slug', 'type' => 'select', 'title' => __('自定义类型文章固定链接模式', 'salong'), 'subtitle' => __('默认为post_name', 'salong'), 'desc' => __('选择自定义类型文章固定链接模式，修改后请再保存下固定链接。', 'salong'), 'options' => array('Postname' => __('名称', 'salong'), 'PostID' => 'ID'), 'default' => 'Postname', 'required' => array('switch_post_type_slug', 'equals', array('1')))));
			// 主题更新
			$this->sections[] = array('title' => __('主题更新', 'salong'), 'subsection' => true, 'fields' => array(array('id' => 'switch_update', 'type' => 'switch', 'title' => __('检查主题更新', 'salong'), 'subtitle' => __('默认启用', 'salong'), 'default' => true), array('id' => 'update_time', 'type' => 'text', 'title' => __('主题检查更新时间', 'salong'), 'subtitle' => __('默认时间为1天，单位为：秒，可以使用时间转换器算下。', 'salong'), 'default' => '86400', 'required' => array('switch_update', 'equals', array('1')))));
			// 图片延迟加载
			$this->sections[] = array('title' => __('图片延迟加载', 'salong'), 'subsection' => true, 'fields' => array(array('id' => 'switch_lazyload', 'type' => 'switch', 'title' => __('是否启用图片延迟加载', 'salong'), 'subtitle' => __('默认启用', 'salong'), 'default' => true), array('id' => 'post_loading', 'type' => 'media', 'compiler' => true, 'readonly' => false, 'url' => true, 'title' => __('文章中默认图片', 'salong'), 'subtitle' => __('更新你的延迟加载文章中默认图片，添加gif图片，别太大就可以。', 'salong'), 'default' => array('url' => get_template_directory_uri() . '/images/post_loading.gif'), 'required' => array('switch_lazyload', 'equals', array('1'))), array('id' => 'thumb_loading', 'type' => 'media', 'compiler' => true, 'readonly' => false, 'url' => true, 'title' => __('缩略图默认图片', 'salong'), 'subtitle' => __('更新你的延迟加载缩略图默认图片，建议大小：440*275', 'salong'), 'default' => array('url' => get_template_directory_uri() . '/images/thumb_loading.jpg'), 'required' => array('switch_lazyload', 'equals', array('1'))), array('id' => 'avatar_loading', 'type' => 'media', 'compiler' => true, 'readonly' => false, 'url' => true, 'title' => __('头像默认图片', 'salong'), 'subtitle' => __('更新你的头像默认图片，建议大小：80*80', 'salong'), 'default' => array('url' => get_template_directory_uri() . '/images/favicon.jpg'), 'required' => array('switch_lazyload', 'equals', array('1')))));
			// ajax加载更多
			$this->sections[] = array('title' => __('ajax加载更多', 'salong'), 'subsection' => true, 'fields' => array(array('id' => 'switch_loadmore', 'type' => 'switch', 'title' => __('ajax加载更多', 'salong'), 'subtitle' => __('默认启用，禁用则显示分页。', 'salong'), 'default' => true), array('id' => 'loadmore_count', 'type' => 'slider', 'title' => __('aja自动加载的次数', 'salong'), 'subtitle' => __('输入数值或拖动滑块，滑块说明：最小值：1、最大值：24、阶梯值：1、默认值：2。因为默认已经加载了一次，所以设置为0或1是不自动加载，设置为2时自动加载一次，依次类推。', 'salong'), 'default' => 2, 'min' => 1, 'step' => 1, 'max' => 24, 'display_value' => 'text', 'required' => array('switch_loadmore', 'equals', array('1'))), array('id' => 'loadmore_text', 'type' => 'text', 'title' => __('提示加载内容文本', 'salong'), 'subtitle' => __('当自动加载完成时，提示加载更多内容文本', 'salong'), 'default' => __('加载更多', 'salong'), 'required' => array('switch_loadmore', 'equals', array('1'))), array('id' => 'loadmore_end', 'type' => 'text', 'title' => __('内容加载完成文本', 'salong'), 'subtitle' => __('当所有内容加载结束后的提示文本', 'salong'), 'default' => __('已经加载到天涯海角了！', 'salong'), 'required' => array('switch_loadmore', 'equals', array('1')))));
			// 点赞打赏
			$this->sections[] = array('title' => __('点赞打赏', 'salong'), 'subsection' => true, 'fields' => array(array('id' => 'like_time', 'type' => 'text', 'title' => __('多久可以再点击点赞按钮', 'salong'), 'subtitle' => __('默认时间为1年，单位为：分，可以使用时间转换器算下。', 'salong'), 'default' => '525600.010512'), array('id' => 'weixinpay', 'type' => 'media', 'url' => true, 'compiler' => true, 'readonly' => false, 'title' => __('微信付款二维码', 'salong'), 'subtitle' => __('更新微信付款二维码图片，建议大小：258*258', 'salong'), 'default' => array('url' => get_template_directory_uri() . '/images/weixinpay.jpg')), array('id' => 'alipay', 'type' => 'media', 'url' => true, 'compiler' => true, 'readonly' => false, 'title' => __('支付宝付款二维码', 'salong'), 'subtitle' => __('更新支付宝付款二维码图片，建议大小：258*258', 'salong'), 'default' => array('url' => get_template_directory_uri() . '/images/alipay.jpg'))));
			// 微信分享
			$this->sections[] = array('title' => __('微信分享', 'salong'), 'desc' => __('微信分享接口设置，首先需要到微信公众平台——公众号设置——功能设置中的『JS接口安全域名』中添加安全域名，不设置微信分享时将不显示缩略图', 'salong'), 'subsection' => true, 'fields' => array(array('id' => 'weixin_appid', 'type' => 'text', 'title' => __('微信公众号 AppID', 'salong'), 'default' => ''), array('id' => 'weixin_appsecret', 'type' => 'text', 'title' => __('微信公众号 AppSecret', 'salong'), 'default' => '')));
			// 头部
			$this->sections[] = array('icon' => 'dashicons-menu', 'title' => '头部', 'fields' => array(array('id' => 'header_layout', 'type' => 'button_set', 'title' => __('头部布局', 'salong'), 'options' => array('default' => __('默认', 'salong'), 'full' => __('全屏', 'salong')), 'default' => 'default', 'subtitle' => __('头部宽度设置，默认与网站宽度一致；全屏LOGO居左，菜单居右。', 'salong')), array('id' => 'switch_account', 'type' => 'switch', 'title' => __('顶部菜单中显示我的帐户', 'salong'), 'subtitle' => __('默认显示，如果不使用WooCommerce商城插件，就不用开启。', 'salong'), 'default' => true), array('id' => 'switch_search_menu', 'type' => 'switch', 'title' => __('导航菜单添加搜索', 'salong'), 'subtitle' => __('默认显示。', 'salong'), 'default' => true), array('id' => 'user_home', 'type' => 'select', 'data' => 'pages', 'title' => __('用户主页', 'salong'), 'subtitle' => __('选择用户登录后链接到的个人中心首页页面', 'salong'), 'desc' => __('当用户没有登录时，顶部左侧菜单只显示登录；当用户登录后，将显示此选项和下方选项中的菜单，此选项不选择页面，菜单也将不显示。', 'salong')), array('id' => 'user_menu', 'type' => 'select', 'data' => 'pages', 'multi' => true, 'sortable' => true, 'title' => __('用户主页二级菜单', 'salong'), 'subtitle' => __('选择顶部登录用户主页下的二级菜单，可以拖动进行排序。', 'salong'))));
			// 首页
			$this->sections[] = array('icon' => 'dashicons-admin-home', 'title' => __('首页', 'salong'), 'fields' => array(array('id' => 'home_layout', 'type' => 'sorter', 'title' => __('首页布局', 'salong'), 'subtitle' => __('首页内容部分的排列与显示，除幻灯片、置顶文章和宣传语外，可选择显示与不显示，拖动可排序。', 'salong'), 'options' => array('enabled' => array('placebo' => 'placebo', 'home_like' => __('最赞的文章', 'salong'), 'home_cat1' => __('分类模块1', 'salong'), 'home_gallery' => __('最新画廊', 'salong'), 'home_cat2' => __('分类模块2', 'salong'), 'home_product' => __('最新产品', 'salong'), 'home_cat3' => __('分类模块3', 'salong'), 'home_video' => __('最新视频', 'salong'), 'home_new' => __('最新文章', 'salong')), 'disabled' => array('placebo' => 'placebo'))), array('id' => 'home_meta_btn', 'type' => 'button_set', 'title' => __('右侧META选择', 'salong'), 'options' => array('like' => __('点赞', 'salong'), 'comment' => __('评论', 'salong')), 'default' => 'like', 'subtitle' => __('默认显示点赞图标及数量', 'salong'), 'desc' => __('选择首页文章列表标题下的右侧META，可选择点赞、收藏与评论。', 'salong')), array('id' => 'home_tag_orderby_indent', 'type' => 'section', 'indent' => true, 'title' => __('标签列表排序', 'salong'), 'subtitle' => __('设置标签的排序', 'salong')), array('id' => 'home_tag_orderby', 'type' => 'select', 'title' => __('排序', 'salong'), 'subtitle' => __('选择排列顺序，可选择以下几种，默认按发布日期', 'salong'), 'options' => array('name' => __('标题', 'salong'), 'term_id' => __('ID', 'salong'), 'count' => __('文章数量', 'salong')), 'default' => 'name'), array('id' => 'home_tag_order', 'type' => 'select', 'title' => __('顺序', 'salong'), 'subtitle' => __('选择升序或降序，默认降序', 'salong'), 'options' => array('asc' => __('升序', 'salong'), 'desc' => __('降序', 'salong')), 'default' => 'desc')));
			//公告
			$this->sections[] = array('title' => __('公告', 'salong'), 'subsection' => true, 'fields' => array(array('id' => 'bulletin_title', 'type' => 'text', 'title' => __('公告标题', 'salong'), 'subtitle' => __('输入首页公告标题', 'salong'), 'default' => __('公告', 'salong')), array('id' => 'bulletin_icon', 'type' => 'text', 'title' => __('公告图标', 'salong'), 'subtitle' => __('输入首页公告标题前的图标', 'salong'), 'desc' => __('请前往<a href="https://demo.salongweb.com/fonts/fontello.html" target="_blank">Fontello图标</a>与<a href="https://demo.salongweb.com/fonts/icomoon.html" target="_blank">IcoMoon线描图标</a>，选择图标名称，输入到此即可。', 'salong'), 'default' => 'icon-mic'), array('id' => 'bulletin_count', 'type' => 'slider', 'title' => __('公告文章数量', 'salong'), 'subtitle' => __('输入数值或拖动滑块，滑块说明：最小值：1、最大值：24、阶梯值：1、默认值：4。', 'salong'), 'default' => 4, 'min' => 1, 'step' => 1, 'max' => 24, 'display_value' => 'text'), array('id' => 'be_count', 'type' => 'slider', 'title' => __('公告显示的文字数量', 'salong'), 'subtitle' => __('输入数值或拖动滑块，滑块说明：最小值：1、最大值：172、阶梯值：1、默认值：108。', 'salong'), 'default' => 108, 'min' => 1, 'step' => 1, 'max' => 172, 'display_value' => 'text')));
			//置顶文章
			$this->sections[] = array('title' => __('置顶文章', 'salong'), 'subsection' => true, 'fields' => array(array('id' => 'sticky_post', 'type' => 'select', 'data' => 'posts', 'args' => array('post__in' => get_option('sticky_posts'), 'ignore_sticky_posts' => 0, 'posts_per_page' => 20), 'multi' => true, 'sortable' => true, 'title' => __('选择置顶文章', 'salong'), 'subtitle' => __('选择需要显示的置顶文章，最多四篇，不选择将获取最新的四篇置顶文章。', 'salong')), array('id' => 'sticky_link', 'type' => 'select', 'data' => 'pages', 'title' => __('置顶文章页面', 'salong'), 'subtitle' => __('选择置顶文章模板页面，幻灯片右侧的', 'salong'))));
			//最赞的文章
			$this->sections[] = array('title' => __('最赞的文章', 'salong'), 'subsection' => true, 'fields' => array(array('id' => 'like_title', 'type' => 'text', 'title' => __('最赞的文章标题', 'salong'), 'subtitle' => __('输入首页最赞的文章标题', 'salong'), 'default' => __('最赞的文章', 'salong')), array('id' => 'like_cat', 'type' => 'select', 'data' => 'categories', 'multi' => true, 'sortable' => true, 'title' => __('最赞的文章分类', 'salong'), 'subtitle' => __('选择首页最赞的文章需要显示的文章分类，不选则不显示最赞的文章。', 'salong')), array('id' => 'like_count', 'type' => 'slider', 'title' => __('文章数量', 'salong'), 'subtitle' => __('输入数值或拖动滑块，滑块说明：最小值：4、最大值：48、阶梯值：1、默认值：4。', 'salong'), 'default' => 4, 'min' => 4, 'step' => 1, 'max' => 48, 'display_value' => 'text'), array('id' => 'like_tag', 'type' => 'select', 'data' => 'tags', 'args' => array('number' => 200, 'order' => 'DESC', 'taxonomy' => 'post_tag', 'orderby' => 'count'), 'multi' => true, 'sortable' => true, 'title' => __('标签', 'salong'), 'subtitle' => __('选择标签', 'salong')), array('id' => 'like_post_time', 'type' => 'select', 'data' => 'tags', 'title' => __('时间', 'salong'), 'subtitle' => __('选择显示多少时间内最赞的文章。', 'salong'), 'options' => array('0' => '全部', '1 year ago' => '一年内', '1 month ago' => '一月内', '1 week ago' => '一周内', '1 day ago' => '一天内'), 'default' => array('0')), array('id' => 'like_link', 'type' => 'select', 'data' => 'pages', 'title' => __('最赞的文章页面', 'salong'), 'subtitle' => __('选择最赞的文章模板页面', 'salong'))));
			//分类模块1
			$this->sections[] = array('title' => __('分类模块1', 'salong'), 'subsection' => true, 'fields' => array(array('id' => 'cat1_list1_indent', 'type' => 'section', 'indent' => true, 'title' => __('分类列表1', 'salong'), 'subtitle' => __('分类列表1相关设置', 'salong')), array('id' => 'cat1_list1', 'type' => 'select', 'multi' => true, 'sortable' => true, 'data' => 'categories', 'title' => __('分类列表1', 'salong'), 'subtitle' => __('选择分类列表1需要显示的文章分类，不选则不显示分类列表。', 'salong')), array('id' => 'cat1_count1', 'type' => 'slider', 'title' => __('文章数量', 'salong'), 'subtitle' => __('输入数值或拖动滑块，滑块说明：最小值：4、最大值：48、阶梯值：1、默认值：6。', 'salong'), 'default' => 6, 'min' => 4, 'step' => 1, 'max' => 48, 'display_value' => 'text'), array('id' => 'cat1_tag1', 'type' => 'select', 'data' => 'tags', 'args' => array('number' => 200, 'order' => 'DESC', 'taxonomy' => 'post_tag', 'orderby' => 'count'), 'multi' => true, 'sortable' => true, 'title' => __('标签', 'salong'), 'subtitle' => __('选择标签', 'salong')), array('id' => 'cat1_list2_indent', 'type' => 'section', 'indent' => true, 'title' => __('分类列表2', 'salong'), 'subtitle' => __('分类列表2相关设置', 'salong')), array('id' => 'cat1_list2', 'type' => 'select', 'multi' => true, 'sortable' => true, 'data' => 'categories', 'title' => __('分类列表2', 'salong'), 'subtitle' => __('选择分类列表2需要显示的文章分类，不选则不显示分类列表。', 'salong')), array('id' => 'cat1_count2', 'type' => 'slider', 'title' => __('文章数量', 'salong'), 'subtitle' => __('输入数值或拖动滑块，滑块说明：最小值：5、最大值：48、阶梯值：1、默认值：5。', 'salong'), 'default' => 5, 'min' => 5, 'step' => 1, 'max' => 48, 'display_value' => 'text'), array('id' => 'cat1_tag2', 'type' => 'select', 'data' => 'tags', 'args' => array('number' => 200, 'order' => 'DESC', 'taxonomy' => 'post_tag', 'orderby' => 'count'), 'multi' => true, 'sortable' => true, 'title' => __('标签', 'salong'), 'subtitle' => __('选择标签', 'salong'))));
			//最新画廊
			$this->sections[] = array('title' => __('最新画廊', 'salong'), 'subsection' => true, 'fields' => array(array('id' => 'switch_gallery_width', 'type' => 'switch', 'title' => __('100%宽度显示', 'salong'), 'subtitle' => __('默认显示', 'salong'), 'default' => true), array('id' => 'gallery_title', 'type' => 'text', 'title' => __('最新画廊标题', 'salong'), 'subtitle' => __('输入最新画廊标题', 'salong'), 'default' => __('最新画廊', 'salong')), array('id' => 'gallery_icon', 'type' => 'text', 'title' => __('最新画廊图标', 'salong'), 'subtitle' => __('输入最新画廊图标', 'salong'), 'desc' => __('请前往<a href="https://demo.salongweb.com/fonts/fontello.html" target="_blank">Fontello图标</a>与<a href="https://demo.salongweb.com/fonts/icomoon.html" target="_blank">IcoMoon线描图标</a>，选择图标名称，输入到此即可。', 'salong'), 'default' => 'icon-camera-1'), array('id' => 'gallery_cat', 'type' => 'select', 'data' => 'categories', 'args' => array('taxonomy' => array('gallery-cat')), 'multi' => true, 'sortable' => true, 'title' => __('最新画廊分类', 'salong'), 'subtitle' => __('选择首页最新画廊需要显示的画廊分类，不选则不显示最新画廊。', 'salong')), array('id' => 'gallery_count', 'type' => 'slider', 'title' => __('画廊数量', 'salong'), 'subtitle' => __('输入数值或拖动滑块，滑块说明：最小值：4、最大值：48、阶梯值：1、默认值：4。', 'salong'), 'default' => 4, 'min' => 4, 'step' => 1, 'max' => 48, 'display_value' => 'text'), array('id' => 'gallery_tag', 'type' => 'select', 'data' => 'terms', 'args' => array('taxonomies' => 'gallery-tag'), 'multi' => true, 'sortable' => true, 'title' => __('标签', 'salong'), 'subtitle' => __('选择标签', 'salong')), array('id' => 'gallery_link', 'type' => 'select', 'data' => 'pages', 'title' => __('全部画廊页面', 'salong'), 'subtitle' => __('选择全部画廊模板页面', 'salong'))));
			//分类模块2
			$this->sections[] = array('title' => __('分类模块2', 'salong'), 'subsection' => true, 'fields' => array(array('id' => 'cat2_list1_indent', 'type' => 'section', 'indent' => true, 'title' => __('分类列表1', 'salong'), 'subtitle' => __('分类列表1相关设置', 'salong')), array('id' => 'cat2_list1', 'type' => 'select', 'multi' => true, 'sortable' => true, 'data' => 'categories', 'title' => __('分类列表1', 'salong'), 'subtitle' => __('选择分类列表1需要显示的文章分类，不选则不显示分类列表。', 'salong')), array('id' => 'cat2_count1', 'type' => 'slider', 'title' => __('文章数量', 'salong'), 'subtitle' => __('输入数值或拖动滑块，滑块说明：最小值：5、最大值：48、阶梯值：1、默认值：5。', 'salong'), 'default' => 5, 'min' => 5, 'step' => 1, 'max' => 48, 'display_value' => 'text'), array('id' => 'cat2_tag1', 'type' => 'select', 'data' => 'tags', 'args' => array('number' => 200, 'order' => 'DESC', 'taxonomy' => 'post_tag', 'orderby' => 'count'), 'multi' => true, 'sortable' => true, 'title' => __('标签', 'salong'), 'subtitle' => __('选择标签', 'salong')), array('id' => 'cat2_list2_indent', 'type' => 'section', 'indent' => true, 'title' => __('分类列表2', 'salong'), 'subtitle' => __('分类列表2相关设置', 'salong')), array('id' => 'cat2_list2', 'type' => 'select', 'multi' => true, 'sortable' => true, 'data' => 'categories', 'title' => __('分类列表2', 'salong'), 'subtitle' => __('选择分类列表2需要显示的文章分类，不选则不显示分类列表。', 'salong')), array('id' => 'cat2_count2', 'type' => 'slider', 'title' => __('文章数量', 'salong'), 'subtitle' => __('输入数值或拖动滑块，滑块说明：最小值：4、最大值：48、阶梯值：1、默认值：6。', 'salong'), 'default' => 6, 'min' => 4, 'step' => 1, 'max' => 48, 'display_value' => 'text'), array('id' => 'cat2_tag2', 'type' => 'select', 'data' => 'tags', 'args' => array('number' => 200, 'order' => 'DESC', 'taxonomy' => 'post_tag', 'orderby' => 'count'), 'multi' => true, 'sortable' => true, 'title' => __('标签', 'salong'), 'subtitle' => __('选择标签', 'salong'))));
			//最新产品
			$this->sections[] = array('title' => __('最新产品', 'salong'), 'subsection' => true, 'fields' => array(array('id' => 'switch_product_width', 'type' => 'switch', 'title' => __('100%宽度显示', 'salong'), 'subtitle' => __('默认显示', 'salong'), 'default' => true), array('id' => 'product_title', 'type' => 'text', 'title' => __('最新产品标题', 'salong'), 'subtitle' => __('输入最新产品标题', 'salong'), 'default' => __('最新产品', 'salong')), array('id' => 'product_icon', 'type' => 'text', 'title' => __('最新产品图标', 'salong'), 'subtitle' => __('输入最新产品图标', 'salong'), 'desc' => __('请前往<a href="https://demo.salongweb.com/fonts/fontello.html" target="_blank">Fontello图标</a>与<a href="https://demo.salongweb.com/fonts/icomoon.html" target="_blank">IcoMoon线描图标</a>，选择图标名称，输入到此即可。', 'salong'), 'default' => 'icon-cart'), array('id' => 'product_cat', 'type' => 'select', 'data' => 'categories', 'args' => array('taxonomy' => array('product_cat')), 'multi' => true, 'sortable' => true, 'title' => __('最新产品分类', 'salong'), 'subtitle' => __('选择首页最新产品需要显示的产品分类，不选则不显示最新产品。', 'salong')), array('id' => 'product_count', 'type' => 'slider', 'title' => __('产品数量', 'salong'), 'subtitle' => __('输入数值或拖动滑块，滑块说明：最小值：4、最大值：48、阶梯值：1、默认值：4。', 'salong'), 'default' => 4, 'min' => 4, 'step' => 1, 'max' => 48, 'display_value' => 'text'), array('id' => 'product_tag', 'type' => 'select', 'data' => 'terms', 'args' => array('taxonomies' => 'product_tag'), 'multi' => true, 'sortable' => true, 'title' => __('标签', 'salong'), 'subtitle' => __('选择标签', 'salong')), array('id' => 'product_link', 'type' => 'select', 'data' => 'pages', 'title' => __('全部产品页面', 'salong'), 'subtitle' => __('选择全部商城模板页面', 'salong'))));
			//分类模块3
			$this->sections[] = array('title' => __('分类模块3', 'salong'), 'subsection' => true, 'fields' => array(array('id' => 'cat3_list1_indent', 'type' => 'section', 'indent' => true, 'title' => __('分类列表1', 'salong'), 'subtitle' => __('分类列表1相关设置', 'salong')), array('id' => 'cat3_list1', 'type' => 'select', 'multi' => true, 'sortable' => true, 'data' => 'categories', 'title' => __('分类列表1', 'salong'), 'subtitle' => __('选择分类列表1需要显示的文章分类，不选则不显示分类列表。', 'salong')), array('id' => 'cat3_count1', 'type' => 'slider', 'title' => __('文章数量', 'salong'), 'subtitle' => __('输入数值或拖动滑块，滑块说明：最小值：3、最大值：48、阶梯值：1、默认值：6。', 'salong'), 'default' => 6, 'min' => 3, 'step' => 1, 'max' => 48, 'display_value' => 'text'), array('id' => 'cat3_tag1', 'type' => 'select', 'data' => 'tags', 'args' => array('number' => 200, 'order' => 'DESC', 'taxonomy' => 'post_tag', 'orderby' => 'count'), 'multi' => true, 'sortable' => true, 'title' => __('标签', 'salong'), 'subtitle' => __('选择标签', 'salong')), array('id' => 'cat3_list2_indent', 'type' => 'section', 'indent' => true, 'title' => __('分类列表2', 'salong'), 'subtitle' => __('分类列表2相关设置', 'salong')), array('id' => 'cat3_list2', 'type' => 'select', 'multi' => true, 'sortable' => true, 'data' => 'categories', 'title' => __('分类列表2', 'salong'), 'subtitle' => __('选择分类列表2需要显示的文章分类，不选则不显示分类列表。', 'salong')), array('id' => 'cat3_count2', 'type' => 'slider', 'title' => __('文章数量', 'salong'), 'subtitle' => __('输入数值或拖动滑块，滑块说明：最小值：4、最大值：48、阶梯值：1、默认值：6。', 'salong'), 'default' => 6, 'min' => 4, 'step' => 1, 'max' => 48, 'display_value' => 'text'), array('id' => 'cat3_tag2', 'type' => 'select', 'data' => 'tags', 'args' => array('number' => 200, 'order' => 'DESC', 'taxonomy' => 'post_tag', 'orderby' => 'count'), 'multi' => true, 'sortable' => true, 'title' => __('标签', 'salong'), 'subtitle' => __('选择标签', 'salong'))));
			//最新视频
			$this->sections[] = array('title' => __('最新视频', 'salong'), 'subsection' => true, 'fields' => array(array('id' => 'switch_video_width', 'type' => 'switch', 'title' => __('100%宽度显示', 'salong'), 'subtitle' => __('默认显示', 'salong'), 'default' => true), array('id' => 'video_title', 'type' => 'text', 'title' => __('最新视频标题', 'salong'), 'subtitle' => __('输入最新视频标题', 'salong'), 'default' => __('最新视频', 'salong')), array('id' => 'video_icon', 'type' => 'text', 'title' => __('最新视频图标', 'salong'), 'subtitle' => __('输入最新视频图标', 'salong'), 'desc' => __('请前往<a href="https://demo.salongweb.com/fonts/fontello.html" target="_blank">Fontello图标</a>与<a href="https://demo.salongweb.com/fonts/icomoon.html" target="_blank">IcoMoon线描图标</a>，选择图标名称，输入到此即可。', 'salong'), 'default' => 'icon-videocam-1'), array('id' => 'video_cat', 'type' => 'select', 'data' => 'categories', 'args' => array('taxonomy' => array('video-cat')), 'multi' => true, 'sortable' => true, 'title' => __('最新视频分类', 'salong'), 'subtitle' => __('选择首页最新视频需要显示的产品分类，不选则不显示最新视频。', 'salong')), array('id' => 'video_count', 'type' => 'slider', 'title' => __('产品数量', 'salong'), 'subtitle' => __('输入数值或拖动滑块，滑块说明：最小值：4、最大值：48、阶梯值：1、默认值：4。', 'salong'), 'default' => 4, 'min' => 4, 'step' => 1, 'max' => 48, 'display_value' => 'text'), array('id' => 'video_tag', 'type' => 'select', 'data' => 'terms', 'args' => array('taxonomies' => 'video-tag'), 'multi' => true, 'sortable' => true, 'title' => __('标签', 'salong'), 'subtitle' => __('选择标签', 'salong')), array('id' => 'video_link', 'type' => 'select', 'data' => 'pages', 'title' => __('全部视频页面', 'salong'), 'subtitle' => __('选择全部视频模板页面', 'salong'))));
			//最新文章
			$this->sections[] = array('title' => __('最新文章', 'salong'), 'subsection' => true, 'fields' => array(array('id' => 'new_title', 'type' => 'text', 'title' => __('最新文章标题', 'salong'), 'subtitle' => __('输入最新文章标题', 'salong'), 'default' => __('最新文章', 'salong')), array('id' => 'exclude_new_cat', 'type' => 'select', 'data' => 'categories', 'multi' => true, 'sortable' => true, 'title' => __('排除分类', 'salong'), 'subtitle' => __('选择首页最新文章需要排除的文章分类，不选则显示全部最新文章。', 'salong')), array('id' => 'new_tag', 'type' => 'select', 'data' => 'tags', 'args' => array('number' => 200, 'order' => 'DESC', 'taxonomy' => 'post_tag', 'orderby' => 'count'), 'multi' => true, 'sortable' => true, 'title' => __('标签', 'salong'), 'subtitle' => __('选择标签', 'salong')), array('id' => 'new_link', 'type' => 'select', 'data' => 'pages', 'title' => __('最新文章页面', 'salong'), 'subtitle' => __('选择最新文章模板页面', 'salong'))));
			// 宣传语
			$this->sections[] = array('title' => __('宣传语', 'salong'), 'subsection' => true, 'fields' => array(array('id' => 'switch_slogan', 'type' => 'switch', 'title' => __('是否显示宣传语', 'salong'), 'subtitle' => __('默认启用', 'salong'), 'default' => true), array('id' => 'slogan_title', 'type' => 'text', 'title' => __('宣传语标题', 'salong'), 'subtitle' => __('输入宣传语标题', 'salong'), 'default' => __('大理萨龙网络', 'salong'), 'required' => array('switch_slogan', 'equals', '1')), array('id' => 'slogan_text', 'type' => 'textarea', 'title' => __('宣传语', 'salong'), 'subtitle' => __('输入宣传语', 'salong'), 'default' => __('专注高端网站设计与开发，为您提供一个现代、干净的WEB站点！', 'salong'), 'required' => array('switch_slogan', 'equals', '1')), array('id' => 'slogan_link', 'type' => 'select', 'data' => 'pages', 'title' => __('联系我们', 'salong'), 'subtitle' => __('选择首页宣传语联系我们页面。', 'salong'), 'required' => array('switch_slogan', 'equals', '1')), array('id' => 'slogan_bg', 'type' => 'media', 'url' => true, 'compiler' => true, 'readonly' => false, 'title' => __('背景图片', 'salong'), 'subtitle' => __('更新背景图片，建议大小：1920*360', 'salong'), 'default' => array('url' => get_template_directory_uri() . '/images/slogan_bg.jpg'), 'required' => array('switch_slogan', 'equals', '1'))));
			// 样式
			$this->sections[] = array('title' => '样式', 'icon' => 'dashicons-art', 'fields' => array(array('id' => 'switch_style', 'type' => 'button_set', 'title' => __('样式方式', 'salong'), 'options' => array('moren' => __('默认', 'salong'), 'have' => __('预设样式', 'salong'), 'custom' => __('自定义样式', 'salong')), 'default' => 'moren', 'subtitle' => __('样式选择，默认、预设样式和自定义样式', 'salong')), array('id' => 'style_options', 'type' => 'image_select', 'title' => __('样式选择', 'salong'), 'subtitle' => __('选择你点赞的主题样式', 'salong'), 'default' => 'color1', 'required' => array('switch_style', 'equals', array('have')), 'options' => array('color1' => array('alt' => 'Color 1', 'img' => get_template_directory_uri() . '/admin/ReduxCore/patterns/color1.png'), 'color2' => array('alt' => 'Color 2', 'img' => get_template_directory_uri() . '/admin/ReduxCore/patterns/color2.png'), 'color3' => array('alt' => 'Color 3', 'img' => get_template_directory_uri() . '/admin/ReduxCore/patterns/color3.png'), 'color4' => array('alt' => 'Color 4', 'img' => get_template_directory_uri() . '/admin/ReduxCore/patterns/color4.png'), 'color5' => array('alt' => 'Color 5', 'img' => get_template_directory_uri() . '/admin/ReduxCore/patterns/color5.png'), 'color6' => array('alt' => 'Color 6', 'img' => get_template_directory_uri() . '/admin/ReduxCore/patterns/color6.png'), 'color7' => array('alt' => 'Color 7', 'img' => get_template_directory_uri() . '/admin/ReduxCore/patterns/color7.png'), 'color8' => array('alt' => 'Color 8', 'img' => get_template_directory_uri() . '/admin/ReduxCore/patterns/color8.png'), 'color9' => array('alt' => 'Color 9', 'img' => get_template_directory_uri() . '/admin/ReduxCore/patterns/color9.png'), 'color10' => array('alt' => 'Color 10', 'img' => get_template_directory_uri() . '/admin/ReduxCore/patterns/color10.png'))), array('id' => 'style_main_color', 'type' => 'color', 'title' => __('主体颜色', 'salong'), 'subtitle' => __('点击颜色块选择你点赞的主体颜色，默认为#e1244e', 'salong'), 'default' => '#e1244e', 'validate' => 'color', 'required' => array('switch_style', 'equals', array('custom'))), array('id' => 'style_hover_color', 'type' => 'color', 'title' => __('鼠标经过颜色', 'salong'), 'subtitle' => __('点击颜色块选择你点赞的鼠标经过颜色，默认为#b1244e', 'salong'), 'default' => '#b1244e', 'validate' => 'color', 'required' => array('switch_style', 'equals', array('custom'))), array('id' => 'font_post', 'type' => 'typography', 'title' => __('正文字体', 'salong'), 'subtitle' => __('设置文章正文字体的大小，行高与颜色', 'salong'), 'desc' => __('其它字体设置请使用自定义CSS，<a href="https://yfdxs.com/firefox-firebug.html">设置方法</a>。', 'salong'), 'output' => array('.content-post'), 'units' => 'px', 'default' => array('color' => '#666', 'font-size' => '12px', 'line-height' => '28px'), 'required' => array('switch_style', 'equals', array('custom')))));
			// 幻灯片
			$this->sections[] = array('title' => __('幻灯片', 'salong'), 'desc' => __('幻灯片', 'salong'), 'icon' => 'dashicons-images-alt2', 'fields' => array(array('id' => 'slides_home_list', 'type' => 'slides', 'title' => __('幻灯片选项', 'salong'), 'subtitle' => __('首页幻灯片选项，图片大小：800*450', 'salong'), 'placeholder' => array('title' => __('标题', 'salong'), 'description' => __('描述', 'salong'), 'url' => __('链接', 'salong')), 'default' => array(array('title' => __('LensNews主题', 'salong'), 'description' => '', 'url' => 'https://salongweb.com/product/lensnews.html', 'image' => get_template_directory_uri() . '/images/slides/01.jpg'), array('title' => __('大理萨龙网络', 'salong'), 'description' => __('专注高端网站设计与开发，为您提供一个现代、干净的WEB站点！', 'salong'), 'url' => 'https://salongweb.com', 'image' => get_template_directory_uri() . '/images/slides/02.jpg'), array('title' => __('定制高端WordPress主题', 'salong'), 'description' => __('高端个性化定制，一站式的网站建设服务，请联系我们！', 'salong'), 'url' => '#line', 'image' => get_template_directory_uri() . '/images/slides/03.jpg'))), array('id' => 'slides_home_effect', 'type' => 'button_set', 'title' => __('幻灯片切换效果', 'salong'), 'options' => array('slide' => __('左右', 'salong'), 'fade' => __('渐变', 'salong')), 'default' => 'slide', 'subtitle' => __('默认左右切换', 'salong')), array('id' => 'slides_home_loop', 'type' => 'switch', 'title' => __('是否启用循环播放', 'salong'), 'subtitle' => __('默认启用', 'salong'), 'default' => true)));
			// 用户中心
			$this->sections[] = array('icon' => 'dashicons-businessman', 'title' => __('用户中心', 'salong'), 'fields' => array(array('id' => 'admin_access', 'title' => __('允许访问后台', 'salong'), 'subtitle' => __('允许哪些用户角色访问WordPress后台。', 'salong'), 'type' => 'select', 'default' => 'manage_options', 'options' => array('manage_options' => __('仅管理员', 'salong'), 'edit_others_posts' => __('管理员、编辑', 'salong'), 'publish_posts' => __('管理员、编辑、作者', 'salong'), 'edit_posts' => __('管理员、编辑、作者、投稿者', 'salong'))), array('id' => 'switch_edit_delete_post', 'type' => 'switch', 'title' => __('是否启用前台编辑与删除按钮', 'salong'), 'subtitle' => __('默认启用，在用户中心文章列表中显示编辑与删除按钮。', 'salong'), 'desc' => __('只有有编辑文章权限（即作者以上）的用户才显示，同时『允许访问后台』设置没有当前用户权限时，编辑文章将跳转到个人中心。', 'salong'), 'default' => true), array('id' => 'switch_admin_bar', 'type' => 'switch', 'title' => __('是否显示工具栏', 'salong'), 'subtitle' => __('默认启用，禁用后对于任何角色前台都不显示工具栏。', 'salong'), 'default' => true)));
			// 登录注册
			$this->sections[] = array('title' => __('登录注册', 'salong'), 'subsection' => true, 'fields' => array(array('id' => 'switch_custom_login_register', 'type' => 'switch', 'title' => __('禁用默认登录与注册', 'salong'), 'subtitle' => __('默认启用，将使用自定义的登录与注册页面', 'salong'), 'default' => true), array('id' => 'login_page', 'type' => 'select', 'data' => 'pages', 'title' => __('登录页面', 'salong'), 'subtitle' => __('选择登录页面', 'salong'), 'required' => array('switch_custom_login_register', 'equals', array('1'))), array('id' => 'register_page', 'type' => 'select', 'data' => 'pages', 'title' => __('注册页面', 'salong'), 'subtitle' => __('选择注册页面', 'salong'), 'required' => array('switch_custom_login_register', 'equals', array('1')))));
			//社交登录
			$this->sections[] = array('title' => __('社交登录', 'salong'), 'subsection' => true, 'fields' => array(array('id' => 'switch_social_login', 'type' => 'switch', 'title' => __('是否启用社交登录', 'salong'), 'subtitle' => __('默认不启用', 'salong'), 'desc' => __('社交登录设置方法请访问：<a href="https://yfdxs.com/qq-login.html">QQ互联授权登录</a>，<a href="https://yfdxs.com/weibo.html">新浪微博登录</a>，<a href="https://yfdxs.com/wechat-login.html">微信授权登录</a>，<a href="https://yfdxs.com/wechat-inner-login.html">微信公众号授权登录</a>', 'salong'), 'default' => false), array('id' => 'switch_weibo_login', 'type' => 'switch', 'title' => __('是否启用微博登录', 'salong'), 'subtitle' => __('默认不启用', 'salong'), 'default' => false, 'required' => array('switch_social_login', 'equals', array('1'))), array('id' => 'qqlogin_id', 'type' => 'text', 'title' => __('QQ登录接口ID', 'salong'), 'subtitle' => __('输入QQ登录接口ID。', 'salong'), 'desc' => __('此处只是为了显示链接为https://的QQ头像，不输入则直接获取自定义的值。', 'salong'), 'default' => '', 'required' => array('switch_social_login', 'equals', array('1'))), array('id' => 'qqlogin_link', 'type' => 'text', 'title' => __('QQ登录链接', 'salong'), 'subtitle' => __('输入QQ登录链接，不输入登录按钮不显示。', 'salong'), 'default' => '', 'required' => array('switch_social_login', 'equals', array('1'))), array('id' => 'wechatlogin_link', 'type' => 'text', 'title' => __('微信登录链接', 'salong'), 'subtitle' => __('输入微信登录链接，不输入登录按钮不显示。', 'salong'), 'default' => '', 'required' => array('switch_social_login', 'equals', array('1'))), array('id' => 'wechatinnerlogin_link', 'type' => 'text', 'title' => __('微信公众号授权登录链接', 'salong'), 'subtitle' => __('输入微信公众号授权登录链接，不输入登录按钮不显示，注：些功能只能在微信客户端中使用。', 'salong'), 'default' => '', 'required' => array('switch_social_login', 'equals', array('1'))), array('id' => 'user_add_email_indent', 'type' => 'section', 'indent' => true, 'title' => __('提示更新资料', 'salong'), 'subtitle' => __('社交用户登录时，用户邮箱是没有，昵称也不规则的，所以跳转到更新昵称和邮箱的页面。', 'salong'), 'required' => array('switch_social_login', 'equals', array('1'))), array('id' => 'switch_user_add_email', 'type' => 'switch', 'title' => __('是否启用社交登录用户更新资料', 'salong'), 'subtitle' => __('默认不启用', 'salong'), 'default' => false), array('id' => 'user_add_email_page', 'type' => 'select', 'data' => 'pages', 'title' => __('更新资料页面', 'salong'), 'subtitle' => __('选择社交用户登录后更新资料的页面', 'salong'), 'desc' => __('如果社交登录用户没有更新邮箱和昵称，将一直重定向到选择的页面。', 'salong'), 'required' => array('switch_user_add_email', 'equals', array('1')))));
			// 投稿设置
			$this->sections[] = array('title' => __('投稿设置', 'salong'), 'subsection' => true, 'fields' => array(array('id' => 'switch_user_media', 'type' => 'switch', 'title' => __('只显示用户上传的文件', 'salong'), 'subtitle' => __('默认启用，在媒体库中只显示当前用户所上传的媒体文件。', 'salong'), 'default' => true), array('id' => 'switch_upload_filter', 'type' => 'switch', 'title' => __('上传图片文件自动重命名', 'salong'), 'subtitle' => __('默认启用，文件将以时间来重命名。', 'salong'), 'default' => true), array('id' => 'switch_contributor_uploads', 'type' => 'switch', 'title' => __('允许投稿者上传媒体', 'salong'), 'subtitle' => __('默认启用，禁用后投稿中的『添加媒体』按钮将不显示，投稿者也不能上传媒体。', 'salong'), 'default' => true), array('id' => 'switch_upload_mimes', 'type' => 'switch', 'title' => __('限制用户上传的媒体文件格式', 'salong'), 'subtitle' => __('默认启用，上传的媒体文件只能是图片：jpg,png,gif格式的图片。', 'salong'), 'default' => true), array('id' => 'switch_tougao_notify', 'type' => 'switch', 'title' => __('投稿成功给投稿者发送邮件', 'salong'), 'subtitle' => __('默认启用，禁用后投稿成功不给投稿者发送邮件。', 'salong'), 'default' => true), array('id' => 'tg_time', 'type' => 'slider', 'title' => __('投稿间隔时间', 'salong'), 'subtitle' => __('输入多次投稿时的间隔时间，单位为秒，默认为120秒，最小值为0，阶梯值为5，最大值为3000', 'salong'), 'default' => '120', 'min' => 0, 'step' => 5, 'max' => 3000, 'display_value' => 'text'), array('id' => 'contribute_info', 'type' => 'editor', 'title' => __('投稿说明', 'salong'), 'subtitle' => __('输入投稿说明。', 'salong'), 'default' => __('请确保所有内容都按规定填写，且保证验证码正确，不然提交后将刷新页面！', 'salong'), 'args' => array('media_buttons' => false, 'textarea_rows' => 3))));
			// 投稿字数
			$this->sections[] = array('title' => __('投稿字数', 'salong'), 'subsection' => true, 'fields' => array(array('id' => 'post_tg_min', 'type' => 'slider', 'title' => __('文章投稿内容最少字数', 'salong'), 'subtitle' => __('输入投稿内容最少字数，默认为：100，最小值为0，阶梯值为10，最大值为1000', 'salong'), 'default' => '100', 'min' => 0, 'step' => 10, 'max' => 1000, 'display_value' => 'text'), array('id' => 'post_tg_max', 'type' => 'slider', 'title' => __('文章投稿内容最多字数', 'salong'), 'subtitle' => __('输入投稿内容最多字数，默认为：3000，最小值为0，阶梯值为100，最大值为10000', 'salong'), 'default' => '3000', 'min' => 0, 'step' => 100, 'max' => 10000, 'display_value' => 'text'), array('id' => 'gallery_tg_min', 'type' => 'slider', 'title' => __('画廊投稿内容最少字数', 'salong'), 'subtitle' => __('输入投稿内容最少字数，默认为：100，最小值为0，阶梯值为10，最大值为1000', 'salong'), 'default' => '100', 'min' => 0, 'step' => 10, 'max' => 1000, 'display_value' => 'text'), array('id' => 'gallery_tg_max', 'type' => 'slider', 'title' => __('画廊投稿内容最多字数', 'salong'), 'subtitle' => __('输入投稿内容最多字数，默认为：3000，最小值为0，阶梯值为100，最大值为10000', 'salong'), 'default' => '3000', 'min' => 0, 'step' => 100, 'max' => 10000, 'display_value' => 'text'), array('id' => 'video_tg_min', 'type' => 'slider', 'title' => __('视频投稿内容最少字数', 'salong'), 'subtitle' => __('输入投稿内容最少字数，默认为：100，最小值为0，阶梯值为10，最大值为1000', 'salong'), 'default' => '100', 'min' => 0, 'step' => 10, 'max' => 1000, 'display_value' => 'text'), array('id' => 'video_tg_max', 'type' => 'slider', 'title' => __('视频投稿内容最多字数', 'salong'), 'subtitle' => __('输入投稿内容最多字数，默认为：3000，最小值为0，阶梯值为100，最大值为10000', 'salong'), 'default' => '3000', 'min' => 0, 'step' => 100, 'max' => 10000, 'display_value' => 'text')));
			// 博客
			$this->sections[] = array('icon' => 'dashicons-wordpress-alt', 'title' => __('博客', 'salong'), 'fields' => array(array('id' => 'blog_link', 'type' => 'select', 'data' => 'pages', 'title' => __('全部文章页面', 'salong'), 'subtitle' => __('选择全部文章页面，建议选择所有文章模板页面。', 'salong')), array('id' => 'blog_metas', 'type' => 'button_set', 'multi' => true, 'title' => __('博客METAS', 'salong'), 'options' => array('author' => __('作者', 'salong'), 'category' => __('分类', 'salong'), 'date' => __('日期', 'salong'), 'view' => __('浏览量', 'salong'), 'comment' => __('评论', 'salong'), 'like' => __('点赞', 'salong')), 'default' => array('author', 'category', 'date', 'view', 'comment', 'like'), 'subtitle' => __('选择文章列表Metas的显示。', 'salong')), array('id' => 'switch_social', 'type' => 'switch', 'title' => __('是否显示点赞、打赏和分享按钮', 'salong'), 'subtitle' => __('默认显示', 'salong'), 'default' => true), array('id' => 'switch_author', 'type' => 'switch', 'title' => __('是否显示关于作者', 'salong'), 'subtitle' => __('默认显示', 'salong'), 'default' => true), array('id' => 'switch_highlight', 'type' => 'switch', 'title' => __('是否显示代码高亮', 'salong'), 'subtitle' => __('默认显示', 'salong'), 'default' => true), array('id' => 'switch_prevnext', 'type' => 'switch', 'title' => __('是否显示上下篇', 'salong'), 'subtitle' => __('默认显示', 'salong'), 'default' => true), array('id' => 'switch_copyright', 'type' => 'switch', 'title' => __('是否显示文章声明', 'salong'), 'subtitle' => __('默认显示', 'salong'), 'default' => true), array('id' => 'indent_cat_post', 'type' => 'section', 'indent' => true, 'title' => __('博客面包屑下的文章列表', 'salong'), 'subtitle' => __('在博客模板页面获取所有文章的文章，分类页则是当前分类的文章。', 'salong')), array('id' => 'switch_cat_post', 'type' => 'switch', 'title' => __('是否显示文章列表', 'salong'), 'subtitle' => __('默认显示', 'salong'), 'default' => true), array('id' => 'cat_post_orderby', 'type' => 'select', 'title' => __('排序', 'salong'), 'subtitle' => __('选择排列顺序，可选择以下几种，默认按文章数量', 'salong'), 'options' => array('date' => __('日期', 'salong'), 'title' => __('标题', 'salong'), 'comment_count' => __('热评', 'salong'), 'meta_value_num' => __('自定义字段', 'salong'), 'rand' => __('随机', 'salong')), 'default' => 'meta_value_num', 'required' => array('switch_cat_post', 'equals', array('1'))), array('id' => 'cat_post_order', 'type' => 'select', 'title' => __('顺序', 'salong'), 'subtitle' => __('选择升序或降序，默认降序', 'salong'), 'options' => array('asc' => __('升序', 'salong'), 'desc' => __('降序', 'salong')), 'default' => 'desc', 'required' => array('switch_cat_post', 'equals', array('1')))));
			// 相关文章
			$this->sections[] = array('title' => __('相关文章', 'salong'), 'subsection' => true, 'fields' => array(array('id' => 'switch_related', 'type' => 'switch', 'title' => __('是否显示相关文章', 'salong'), 'subtitle' => __('默认显示', 'salong'), 'default' => true), array('id' => 'related_title', 'type' => 'text', 'title' => __('标题', 'salong'), 'default' => __('相关文章', 'salong'), 'required' => array('switch_related', 'equals', array('1'))), array('id' => 'related_count', 'type' => 'slider', 'title' => __('数量', 'salong'), 'subtitle' => __('输入数值或拖动滑块，滑块说明：最小值：3、最大值：24、阶梯值：1、默认值：3。', 'salong'), 'default' => 3, 'min' => 3, 'step' => 1, 'max' => 24, 'display_value' => 'text', 'required' => array('switch_related', 'equals', array('1')))));
			// 热评与最赞的文章
			$this->sections[] = array('title' => __('热评与最赞的文章', 'salong'), 'subsection' => true, 'fields' => array(array('id' => 'switch_hotlike', 'type' => 'switch', 'title' => __('是否显示热评与最赞的文章', 'salong'), 'subtitle' => __('默认显示', 'salong'), 'default' => true), array('id' => 'hot_title', 'type' => 'text', 'title' => __('热评文章标题', 'salong'), 'default' => __('热评文章', 'salong'), 'required' => array('switch_hotlike', 'equals', array('1'))), array('id' => 'hlike_title', 'type' => 'text', 'title' => __('最赞的文章标题', 'salong'), 'default' => __('最赞的文章', 'salong'), 'required' => array('switch_hotlike', 'equals', array('1'))), array('id' => 'hotlike_count', 'type' => 'slider', 'title' => __('数量', 'salong'), 'subtitle' => __('输入数值或拖动滑块，滑块说明：最小值：3、最大值：24、阶梯值：1、默认值：5。', 'salong'), 'default' => 5, 'min' => 3, 'step' => 1, 'max' => 24, 'display_value' => 'text', 'required' => array('switch_hotlike', 'equals', array('1')))));
			// 画廊
			$this->sections[] = array('icon' => 'dashicons-camera', 'title' => __('画廊', 'salong'), 'fields' => array(array('id' => 'gallery_link', 'type' => 'select', 'data' => 'pages', 'title' => __('全部画廊页面', 'salong'), 'subtitle' => __('选择全部画廊页面，建议选择所有画廊模板页面。', 'salong')), array('id' => 'switch_gallery_content', 'type' => 'switch', 'title' => __('画廊列表内容', 'salong'), 'subtitle' => __('默认不显示', 'salong'), 'default' => false), array('id' => 'gallery_info_title', 'type' => 'text', 'title' => __('画廊信息标题', 'salong'), 'default' => __('画廊信息', 'salong'), 'subtitle' => __('画廊文章中的信息标题', 'salong')), array('id' => 'gallery_metas', 'type' => 'button_set', 'multi' => true, 'title' => __('画廊METAS', 'salong'), 'options' => array('author' => __('作者', 'salong'), 'category' => __('分类', 'salong'), 'tag' => __('标签', 'salong'), 'date' => __('日期', 'salong'), 'comment' => __('评论', 'salong'), 'view' => __('浏览', 'salong'), 'like' => __('点赞', 'salong')), 'default' => array('author', 'category', 'tag', 'date', 'view', 'like'), 'subtitle' => __('选择画廊文章Metas的显示。', 'salong')), array('id' => 'switch_gsocial', 'type' => 'switch', 'title' => __('是否显示点赞、打赏和分享按钮', 'salong'), 'subtitle' => __('默认显示', 'salong'), 'default' => true), array('id' => 'switch_gprevnext', 'type' => 'switch', 'title' => __('是否显示画廊上下篇', 'salong'), 'subtitle' => __('默认显示', 'salong'), 'default' => true), array('id' => 'switch_gauthor', 'type' => 'switch', 'title' => __('是否显示关于作者', 'salong'), 'subtitle' => __('默认显示', 'salong'), 'default' => true)));
			// 所有画廊
			$this->sections[] = array('title' => __('所有画廊', 'salong'), 'subsection' => true, 'fields' => array(array('id' => 'switch_gallery_list', 'type' => 'switch', 'title' => __('是否显示列表分类', 'salong'), 'subtitle' => __('默认不显示，开启后，需要选择分类和画廊数量，不开启就显示所有画廊文章。', 'salong'), 'default' => false), array('id' => 'gallery_list_cat', 'type' => 'select', 'data' => 'categories', 'args' => array('taxonomy' => array('gallery-cat')), 'multi' => true, 'sortable' => true, 'title' => __('选择分类', 'salong'), 'subtitle' => __('选择所有画廊页面需要显示的画廊分类。', 'salong'), 'required' => array('switch_gallery_list', 'equals', array('1'))), array('id' => 'gallery_list_count', 'type' => 'slider', 'title' => __('数量', 'salong'), 'subtitle' => __('输入数值或拖动滑块，滑块说明：最小值：4、最大值：24、阶梯值：1、默认值：4。', 'salong'), 'default' => 4, 'min' => 4, 'step' => 1, 'max' => 24, 'display_value' => 'text', 'required' => array('switch_gallery_list', 'equals', array('1')))));
			// 相关画廊
			$this->sections[] = array('title' => __('相关画廊', 'salong'), 'subsection' => true, 'fields' => array(array('id' => 'switch_grelated', 'type' => 'switch', 'title' => __('是否显示相关画廊', 'salong'), 'subtitle' => __('默认显示', 'salong'), 'default' => true), array('id' => 'grelated_title', 'type' => 'text', 'title' => __('标题', 'salong'), 'default' => __('相关画廊', 'salong'), 'required' => array('switch_grelated', 'equals', array('1'))), array('id' => 'grelated_count', 'type' => 'slider', 'title' => __('数量', 'salong'), 'subtitle' => __('输入数值或拖动滑块，滑块说明：最小值：4、最大值：24、阶梯值：1、默认值：4。', 'salong'), 'default' => 4, 'min' => 4, 'step' => 1, 'max' => 24, 'display_value' => 'text', 'required' => array('switch_grelated', 'equals', array('1')))));
			// 最新、热评与热门画廊
			$this->sections[] = array('title' => __('最新、热评与热门画廊', 'salong'), 'subsection' => true, 'fields' => array(array('id' => 'switch_ghotlike', 'type' => 'switch', 'title' => __('是否显示最新、热评与热门画廊', 'salong'), 'subtitle' => __('默认显示', 'salong'), 'default' => true), array('id' => 'gnew_title', 'type' => 'text', 'title' => __('最新画廊标题', 'salong'), 'default' => __('最新画廊', 'salong'), 'required' => array('switch_ghotlike', 'equals', array('1'))), array('id' => 'ghot_title', 'type' => 'text', 'title' => __('热评画廊标题', 'salong'), 'default' => __('热评画廊', 'salong'), 'required' => array('switch_ghotlike', 'equals', array('1'))), array('id' => 'glike_title', 'type' => 'text', 'title' => __('最赞的画廊标题', 'salong'), 'default' => __('最赞的画廊', 'salong'), 'required' => array('switch_ghotlike', 'equals', array('1'))), array('id' => 'ghotlike_count', 'type' => 'slider', 'title' => __('数量', 'salong'), 'subtitle' => __('输入数值或拖动滑块，滑块说明：最小值：3、最大值：24、阶梯值：1、默认值：5。', 'salong'), 'default' => 5, 'min' => 3, 'step' => 1, 'max' => 24, 'display_value' => 'text', 'required' => array('switch_ghotlike', 'equals', array('1')))));
			// 视频
			$this->sections[] = array('title' => __('视频', 'salong'), 'desc' => __('视频的相关设置', 'salong'), 'icon' => 'dashicons-video-alt3', 'fields' => array(array('id' => 'video_link', 'type' => 'select', 'data' => 'pages', 'title' => __('全部视频页面', 'salong'), 'subtitle' => __('选择全部视频页面，建议选择所有视频模板页面。', 'salong')), array('id' => 'video_info_title', 'type' => 'text', 'title' => __('视频信息标题', 'salong'), 'default' => __('视频信息', 'salong'), 'subtitle' => __('视频文章中的信息标题', 'salong')), array('id' => 'video_metas', 'type' => 'button_set', 'multi' => true, 'title' => __('视频METAS', 'salong'), 'options' => array('author' => __('作者', 'salong'), 'category' => __('分类', 'salong'), 'tag' => __('标签', 'salong'), 'date' => __('日期', 'salong'), 'comment' => __('评论', 'salong'), 'view' => __('浏览', 'salong'), 'like' => __('点赞', 'salong')), 'default' => array('author', 'category', 'tag', 'date', 'view', 'like'), 'subtitle' => __('选择视频文章Metas的显示。', 'salong')), array('id' => 'switch_vsocial', 'type' => 'switch', 'title' => __('是否显示点赞、打赏和分享按钮', 'salong'), 'subtitle' => __('默认显示', 'salong'), 'default' => true), array('id' => 'switch_vprevnext', 'type' => 'switch', 'title' => __('是否显示视频上下篇', 'salong'), 'subtitle' => __('默认显示', 'salong'), 'default' => true), array('id' => 'switch_vauthor', 'type' => 'switch', 'title' => __('是否显示关于作者', 'salong'), 'subtitle' => __('默认显示', 'salong'), 'default' => true)));
			// 所有视频
			$this->sections[] = array('title' => __('所有视频', 'salong'), 'subsection' => true, 'fields' => array(array('id' => 'switch_video_list', 'type' => 'switch', 'title' => __('是否显示列表分类', 'salong'), 'subtitle' => __('默认不显示，开启后，需要选择分类和视频数量，不开启就显示所有视频文章。', 'salong'), 'default' => false), array('id' => 'video_list_cat', 'type' => 'select', 'data' => 'categories', 'args' => array('taxonomy' => array('video-cat')), 'multi' => true, 'sortable' => true, 'title' => __('选择分类', 'salong'), 'subtitle' => __('选择所有视频页面需要显示的视频分类。', 'salong'), 'required' => array('switch_video_list', 'equals', array('1'))), array('id' => 'video_list_count', 'type' => 'slider', 'title' => __('数量', 'salong'), 'subtitle' => __('输入数值或拖动滑块，滑块说明：最小值：4、最大值：24、阶梯值：1、默认值：4。', 'salong'), 'default' => 4, 'min' => 4, 'step' => 1, 'max' => 24, 'display_value' => 'text', 'required' => array('switch_video_list', 'equals', array('1')))));
			// Video++
			$this->sections[] = array('title' => 'Video++', 'subsection' => true, 'subtitle' => __('Video++相关设置，请到<a href="http://videojj.com">Video++</a>中注册账号，获取和设置相关参数。', 'salong'), 'fields' => array(array('id' => 'appkey', 'type' => 'text', 'title' => 'appkey', 'subtitle' => __('请在Video++控制台查看应用标识', 'salong'), 'default' => 'N1MyyfI6Z'), array('id' => 'switch_autoplay', 'type' => 'switch', 'title' => __('是否自动播放', 'salong'), 'subtitle' => __('默认启用。', 'salong'), 'default' => true), array('id' => 'switch_autoFormat', 'type' => 'switch', 'title' => __('是否自动选择最高清晰度', 'salong'), 'subtitle' => __('默认启用。', 'salong'), 'default' => true)));
			// 优酷视频
			$this->sections[] = array('title' => __('优酷视频', 'salong'), 'subsection' => true, 'subtitle' => __('优酷视频相关设置，主要是直接获取优酷视频的缩略图。', 'salong'), 'fields' => array(array('id' => 'client_id', 'type' => 'text', 'title' => __('优酷client_id', 'salong'), 'subtitle' => __('输入优酷client_id，请到<a href="http://cloud.youku.com/">优酷视频云</a>中申请。', 'salong'), 'default' => '8e0c84aee99636ae'), array('id' => 'switch_youku_player', 'type' => 'switch', 'title' => __('使用优酷播放器', 'salong'), 'subtitle' => __('默认不启用，觉得Video++播放器不稳定，就开启吧。', 'salong'), 'default' => false), array('id' => 'switch_update_youku_thumb', 'type' => 'switch', 'title' => __('更新优酷视频缩略图', 'salong'), 'subtitle' => __('默认不启用，如果视频文章中的优酷视频有更改，请启用，不然缩略图还是之前视频的，缩略图更正后再关闭。程序默认设置判断是否已经有存储缩略图，有就使用已经存储的缩略图。', 'salong'), 'default' => false)));
			// 相关视频
			$this->sections[] = array('title' => __('相关视频', 'salong'), 'subsection' => true, 'fields' => array(array('id' => 'switch_vrelated', 'type' => 'switch', 'title' => __('是否显示相关视频', 'salong'), 'subtitle' => __('默认显示', 'salong'), 'default' => true), array('id' => 'vrelated_title', 'type' => 'text', 'title' => __('标题', 'salong'), 'default' => __('相关视频', 'salong'), 'required' => array('switch_vrelated', 'equals', array('1'))), array('id' => 'vrelated_count', 'type' => 'slider', 'title' => __('数量', 'salong'), 'subtitle' => __('输入数值或拖动滑块，滑块说明：最小值：4、最大值：24、阶梯值：1、默认值：4。', 'salong'), 'default' => 4, 'min' => 4, 'step' => 1, 'max' => 24, 'display_value' => 'text', 'required' => array('switch_vrelated', 'equals', array('1')))));
			// 最新、热评与热门视频
			$this->sections[] = array('title' => __('最新、热评与热门视频', 'salong'), 'subsection' => true, 'fields' => array(array('id' => 'switch_vhotlike', 'type' => 'switch', 'title' => __('是否显示最新、热评与热门视频', 'salong'), 'subtitle' => __('默认显示', 'salong'), 'default' => true), array('id' => 'vnew_title', 'type' => 'text', 'title' => __('最新视频标题', 'salong'), 'default' => __('最新视频', 'salong'), 'required' => array('switch_vhotlike', 'equals', array('1'))), array('id' => 'vhot_title', 'type' => 'text', 'title' => __('热评视频标题', 'salong'), 'default' => __('热评视频', 'salong'), 'required' => array('switch_vhotlike', 'equals', array('1'))), array('id' => 'vlike_title', 'type' => 'text', 'title' => __('最赞的视频标题', 'salong'), 'default' => __('最赞的视频', 'salong'), 'required' => array('switch_vhotlike', 'equals', array('1'))), array('id' => 'vhotlike_count', 'type' => 'slider', 'title' => __('数量', 'salong'), 'subtitle' => __('输入数值或拖动滑块，滑块说明：最小值：3、最大值：24、阶梯值：1、默认值：5。', 'salong'), 'default' => 5, 'min' => 3, 'step' => 1, 'max' => 24, 'display_value' => 'text', 'required' => array('switch_vhotlike', 'equals', array('1')))));
			// 商城
			$this->sections[] = array('icon' => 'dashicons-cart', 'title' => __('商城', 'salong'), 'fields' => array(array('id' => 'product_link', 'type' => 'select', 'data' => 'pages', 'title' => __('全部产品页面', 'salong'), 'subtitle' => __('选择全部产品页面，建议选择所有产品模板页面。', 'salong')), array('id' => 'product_metas', 'type' => 'button_set', 'multi' => true, 'title' => __('产品METAS', 'salong'), 'options' => array('sku' => __('编码', 'salong'), 'category' => __('分类', 'salong'), 'tag' => __('标签', 'salong'), 'date' => __('日期', 'salong'), 'comment' => __('评论', 'salong'), 'view' => __('浏览', 'salong'), 'like' => __('点赞', 'salong'), 'total' => __('销量', 'salong')), 'default' => array('sku', 'category', 'tag', 'date', 'comment', 'view', 'like'), 'subtitle' => __('选择视频文章Metas的显示。', 'salong')), array('id' => 'rate', 'type' => 'text', 'title' => __('汇率换算', 'salong'), 'subtitle' => __('输入人民币转美元汇率', 'salong'), 'default' => ''), array('id' => 'product_related_count', 'type' => 'slider', 'title' => __('产品相关文章数量', 'salong'), 'subtitle' => __('输入数值或拖动滑块，滑块说明：最小值：3、最大值：24、阶梯值：1、默认值：3', 'salong'), 'default' => 3, 'min' => 3, 'step' => 1, 'max' => 24, 'display_value' => 'text'), array('id' => 'points_list_count', 'type' => 'slider', 'title' => __('积分列表数量', 'salong'), 'subtitle' => __('输入数值或拖动滑块，滑块说明：最小值：5、最大值：24、阶梯值：1、默认值：6', 'salong'), 'desc' => __('需要安装并启用WooCommerce Points and Rewards插件，积分列表可以显示在我的帐户和我的积分中。', 'salong'), 'default' => 6, 'min' => 5, 'step' => 1, 'max' => 24, 'display_value' => 'text'), array('id' => 'switch_psocial', 'type' => 'switch', 'title' => __('是否显示点赞、打赏和分享按钮', 'salong'), 'subtitle' => __('默认显示', 'salong'), 'default' => true), array('id' => 'switch_product_post_sidebar', 'type' => 'switch', 'title' => __('商品文章是否显示边栏', 'salong'), 'subtitle' => __('默认显示', 'salong'), 'default' => true), array('id' => 'switch_product_sidebar', 'type' => 'switch', 'title' => __('商城是否显示边栏', 'salong'), 'subtitle' => __('默认显示', 'salong'), 'default' => true)));
			//产品缩略图
			$this->sections[] = array('title' => __('产品缩略图', 'salong'), 'desc' => __('产品缩略图相关设置', 'salong'), 'subsection' => true, 'fields' => array(array('id' => 'product_cateimg_width', 'type' => 'slider', 'title' => __('产品分类缩略图宽度', 'salong'), 'subtitle' => __('输入数值或拖动滑块，滑块说明：最小值：400、最大值：1000、阶梯值：1、默认值：600', 'salong'), 'desc' => __('此侧参数为产品分类与特色图像的宽度，只对使用timthumb.php插件裁剪缩略图有效，对WP自带的缩略图裁剪功能无效。', 'salong'), 'default' => 600, 'min' => 400, 'step' => 1, 'max' => 1000, 'display_value' => 'text', 'required' => array('thumb_mode', 'equals', array('timthumb'))), array('id' => 'product_cateimg_height', 'type' => 'slider', 'title' => __('产品分类缩略图高度', 'salong'), 'subtitle' => __('输入数值或拖动滑块，滑块说明：最小值：200、最大值：1000、阶梯值：1、默认值：338', 'salong'), 'desc' => __('此侧参数为产品分类与特色图像的高度，只对使用timthumb.php插件裁剪缩略图有效，对WP自带的缩略图裁剪功能无效。', 'salong'), 'default' => 338, 'min' => 200, 'step' => 1, 'max' => 1000, 'display_value' => 'text', 'required' => array('thumb_mode', 'equals', array('timthumb'))), array('id' => 'product_gallery_width', 'type' => 'slider', 'title' => __('产品画廊与小工具缩略图宽度', 'salong'), 'subtitle' => __('输入数值或拖动滑块，滑块说明：最小值：80、最大值：600、阶梯值：1、默认值：128', 'salong'), 'desc' => __('此侧参数为产品画廊与小工具缩略图的宽度，只对使用timthumb.php插件裁剪缩略图有效，对WP自带的缩略图裁剪功能无效。', 'salong'), 'default' => 128, 'min' => 80, 'step' => 1, 'max' => 600, 'display_value' => 'text', 'required' => array('thumb_mode', 'equals', array('timthumb'))), array('id' => 'product_gallery_height', 'type' => 'slider', 'title' => __('产品画廊与小工具缩略图高度', 'salong'), 'subtitle' => __('输入数值或拖动滑块，滑块说明：最小值：45、最大值：338、阶梯值：1、默认值：72', 'salong'), 'desc' => __('此侧参数为产品画廊与小工具缩略图的高度，只对使用timthumb.php插件裁剪缩略图有效，对WP自带的缩略图裁剪功能无效。', 'salong'), 'default' => 72, 'min' => 45, 'step' => 1, 'max' => 338, 'display_value' => 'text', 'required' => array('thumb_mode', 'equals', array('timthumb')))));
			// 页面
			$this->sections[] = array('icon' => 'dashicons-admin-page', 'title' => __('页面', 'salong'), 'fields' => array());
			$this->sections[] = array('title' => __('客户留言', 'salong'), 'desc' => __('客户留言相关设置', 'salong'), 'subsection' => true, 'fields' => array(array('id' => 'message_count', 'type' => 'slider', 'title' => __('读者墙显示数量', 'salong'), 'subtitle' => __('输入数值或拖动滑块，滑块说明：最小值：5、最大值：1000、阶梯值：1、默认值：30', 'salong'), 'default' => 30, 'min' => 5, 'step' => 1, 'max' => 1000, 'display_value' => 'text'), array('id' => 'exclude_email', 'type' => 'text', 'title' => __('排除留言Email', 'salong'), 'subtitle' => __('输入在读者墙中需要排除的留言Email，这里只能输入一个Email，管理员的或你最不想看的人的Email。', 'salong'))));
			$this->sections[] = array('title' => __('友情链接', 'salong'), 'desc' => __('友情链接相关设置', 'salong'), 'subsection' => true, 'fields' => array(array('id' => 'switch_link_icon', 'type' => 'switch', 'title' => __('是否显示友情链接图标', 'salong'), 'subtitle' => __('默认显示，获取图标的功能是使用第三方的链接，如果不显示图标，请关闭。', 'salong'), 'default' => true), array('id' => 'link_category_orderby', 'type' => 'select', 'title' => __('链接分类排序', 'salong'), 'subtitle' => __('链接分类的排列顺序，可选择以下几种，默认按发布日期', 'salong'), 'options' => array('name' => __('标题', 'salong'), 'id' => 'ID', 'slug' => __('别名', 'salong'), 'count' => __('数量', 'salong')), 'default' => 'name'), array('id' => 'link_category_order', 'type' => 'select', 'title' => __('链接分类升序或降序', 'salong'), 'subtitle' => __('链接分类的升序或降序，默认升序', 'salong'), 'options' => array('asc' => __('升序', 'salong'), 'desc' => __('降序', 'salong')), 'default' => 'desc'), array('id' => 'exclude_link_category', 'type' => 'select', 'data' => 'categories', 'args' => array('taxonomy' => array('link_category')), 'multi' => true, 'sortable' => true, 'title' => __('排除链接分类', 'salong'), 'subtitle' => __('选择需要排除的链接分类，不选则显示全部链接分类，排除全部分类将显示所有分类书签。', 'salong')), array('id' => 'link_orderby', 'type' => 'select', 'title' => __('链接排序', 'salong'), 'subtitle' => __('链接的排列顺序，可选择以下几种，默认随机', 'salong'), 'options' => array('rand' => __('随机', 'salong'), 'name' => __('标题', 'salong'), 'link_id' => 'ID', 'target' => __('目标', 'salong'), 'description' => __('描述', 'salong'), 'rating' => __('等级', 'salong'), 'updated' => __('更新', 'salong'), 'rel' => __('链接关系', 'salong'), 'notes' => __('注释', 'salong'), 'rss' => 'RSS', 'length' => __('名称长度', 'salong')), 'default' => 'rand'), array('id' => 'link_order', 'type' => 'select', 'title' => __('链接升序或降序', 'salong'), 'subtitle' => __('链接的升序或降序，默认升序', 'salong'), 'options' => array('asc' => __('升序', 'salong'), 'desc' => __('降序', 'salong')), 'default' => 'desc'), array('id' => 'exclude_link', 'type' => 'text', 'title' => __('排除链接', 'salong'), 'subtitle' => __('输入需要排除的友情链接，格式：1,2,3（后台不能获取友情链接，所以需要前往友情链接中查看链接的ID)', 'salong'))));
			$this->sections[] = array('title' => __('站点地图', 'salong'), 'desc' => __('站点地图相关设置', 'salong'), 'subsection' => true, 'fields' => array(array('id' => 'sitemap_post_count', 'type' => 'slider', 'title' => __('文章最大显示数量', 'salong'), 'subtitle' => __('输入数值或拖动滑块，-1为不限制文章显示的数量，滑块说明：最小值：-1、最大值：1000、阶梯值：1、默认值：10', 'salong'), 'default' => 10, 'min' => -1, 'step' => 1, 'max' => 1000, 'display_value' => 'text'), array('id' => 'sitemap_tag_count', 'type' => 'slider', 'title' => __('标签最大显示数量', 'salong'), 'subtitle' => __('输入数值或拖动滑块，滑块说明：最小值：1、最大值：1000、阶梯值：1、默认值：10', 'salong'), 'default' => 10, 'min' => 1, 'step' => 1, 'max' => 1000, 'display_value' => 'text')));
			$this->sections[] = array('title' => __('404页面', 'salong'), 'desc' => __('404页面相关设置', 'salong'), 'subsection' => true, 'fields' => array(array('id' => '404_title', 'type' => 'text', 'title' => __('标题', 'salong'), 'subtitle' => __('输入404页面标题', 'salong'), 'default' => __('404 :(', 'salong')), array('id' => '404_desc', 'type' => 'text', 'title' => __('描述', 'salong'), 'subtitle' => __('输入404页面描述', 'salong'), 'default' => __('没有找到相关内容，请访问其它页面或搜索！', 'salong')), array('id' => 'switch_404_search', 'type' => 'switch', 'title' => __('是否显示搜索', 'salong'), 'subtitle' => __('默认显示', 'salong'), 'default' => true)));
			// 面包屑
			$this->sections[] = array('icon' => 'dashicons-location', 'title' => __('面包屑', 'salong'), 'fields' => array(array('id' => 'delimiter', 'type' => 'text', 'title' => __('定界符', 'salong'), 'subtitle' => __('输入面包屑定界符', 'salong'), 'default' => '-'), array('id' => 'crumbs_shop', 'type' => 'background', 'title' => __('商城面包屑背景样式', 'salong'), 'output' => array('.crumbs_shop'), 'subtitle' => __('背景图片等设置', 'salong'), 'default' => array('background-color' => '#fff', 'background-image' => get_template_directory_uri() . '/images/crumbs_shop.jpg', 'background-repeat' => 'no-repeat', 'background-size' => 'cover', 'background-attachment' => 'scroll', 'background-position' => 'center center')), array('id' => 'crumbs_page', 'type' => 'background', 'title' => __('页面面包屑背景样式', 'salong'), 'output' => array('.crumbs_page'), 'subtitle' => __('背景图片等设置', 'salong'), 'default' => array('background-color' => '#fff', 'background-image' => get_template_directory_uri() . '/images/crumbs_page.jpg', 'background-repeat' => 'no-repeat', 'background-size' => 'cover', 'background-attachment' => 'scroll', 'background-position' => 'center center'))));
			// 博客分类
			$this->sections[] = array('title' => __('博客分类', 'salong'), 'subsection' => true, 'fields' => array(array('id' => 'switch_blog_crumbs', 'type' => 'switch', 'title' => __('是否显示博客分类', 'salong'), 'subtitle' => __('默认显示，关闭将显示分类描述。', 'salong'), 'default' => true), array('id' => 'switch_blog_hierarchical', 'type' => 'switch', 'title' => __('以子分类形式显示', 'salong'), 'subtitle' => __('默认显示', 'salong'), 'default' => true, 'required' => array('switch_blog_crumbs', 'equals', array('1'))), array('id' => 'switch_blog_show_count', 'type' => 'switch', 'title' => __('显示分类下的文章数量', 'salong'), 'subtitle' => __('默认显示', 'salong'), 'default' => true, 'required' => array('switch_blog_crumbs', 'equals', array('1'))), array('id' => 'blog_exclude_crumbs_cat', 'type' => 'select', 'data' => 'categories', 'multi' => true, 'sortable' => true, 'title' => __('排除分类', 'salong'), 'subtitle' => __('选择面包屑分类列表中需要排除的分类。', 'salong'), 'required' => array('switch_blog_crumbs', 'equals', array('1'))), array('id' => 'blog_cat_orderby', 'type' => 'select', 'title' => __('排序', 'salong'), 'subtitle' => __('选择排列顺序，可选择以下几种，默认按文章数量', 'salong'), 'options' => array('ID' => __('ID', 'salong'), 'name' => __('名称', 'salong'), 'slug' => __('别名', 'salong'), 'count' => __('文章数量', 'salong')), 'default' => 'count', 'required' => array('switch_blog_crumbs', 'equals', array('1'))), array('id' => 'blog_cat_order', 'type' => 'select', 'title' => __('顺序', 'salong'), 'subtitle' => __('选择升序或降序，默认降序', 'salong'), 'options' => array('asc' => __('升序', 'salong'), 'desc' => __('降序', 'salong')), 'default' => 'desc', 'required' => array('switch_blog_crumbs', 'equals', array('1')))));
			// 视频分类
			$this->sections[] = array('title' => __('视频分类', 'salong'), 'subsection' => true, 'fields' => array(array('id' => 'switch_video_crumbs', 'type' => 'switch', 'title' => __('是否显示博客分类', 'salong'), 'subtitle' => __('默认显示，关闭将显示分类描述。', 'salong'), 'default' => true), array('id' => 'switch_video_hierarchical', 'type' => 'switch', 'title' => __('以子分类形式显示', 'salong'), 'subtitle' => __('默认显示', 'salong'), 'default' => true, 'required' => array('switch_video_crumbs', 'equals', array('1'))), array('id' => 'switch_video_show_count', 'type' => 'switch', 'title' => __('显示分类下的文章数量', 'salong'), 'subtitle' => __('默认显示', 'salong'), 'default' => true, 'required' => array('switch_video_crumbs', 'equals', array('1'))), array('id' => 'video_exclude_crumbs_cat', 'type' => 'select', 'data' => 'categories', 'args' => array('taxonomy' => array('video-cat')), 'multi' => true, 'sortable' => true, 'title' => __('排除分类', 'salong'), 'subtitle' => __('选择面包屑分类列表中需要排除的分类。', 'salong'), 'required' => array('switch_video_crumbs', 'equals', array('1'))), array('id' => 'video_cat_orderby', 'type' => 'select', 'title' => __('排序', 'salong'), 'subtitle' => __('选择排列顺序，可选择以下几种，默认按文章数量', 'salong'), 'options' => array('ID' => __('ID', 'salong'), 'name' => __('名称', 'salong'), 'slug' => __('别名', 'salong'), 'count' => __('文章数量', 'salong')), 'default' => 'count', 'required' => array('switch_video_crumbs', 'equals', array('1'))), array('id' => 'video_cat_order', 'type' => 'select', 'title' => __('顺序', 'salong'), 'subtitle' => __('选择升序或降序，默认降序', 'salong'), 'options' => array('asc' => __('升序', 'salong'), 'desc' => __('降序', 'salong')), 'default' => 'desc', 'required' => array('switch_video_crumbs', 'equals', array('1')))));
			// 画廊分类
			$this->sections[] = array('title' => __('画廊分类', 'salong'), 'subsection' => true, 'fields' => array(array('id' => 'switch_gallery_crumbs', 'type' => 'switch', 'title' => __('是否显示博客分类', 'salong'), 'subtitle' => __('默认显示，关闭将显示分类描述。', 'salong'), 'default' => true), array('id' => 'switch_gallery_hierarchical', 'type' => 'switch', 'title' => __('以子分类形式显示', 'salong'), 'subtitle' => __('默认显示', 'salong'), 'default' => true, 'required' => array('switch_gallery_crumbs', 'equals', array('1'))), array('id' => 'switch_gallery_show_count', 'type' => 'switch', 'title' => __('显示分类下的文章数量', 'salong'), 'subtitle' => __('默认显示', 'salong'), 'default' => true, 'required' => array('switch_gallery_crumbs', 'equals', array('1'))), array('id' => 'gallery_exclude_crumbs_cat', 'type' => 'select', 'data' => 'categories', 'args' => array('taxonomy' => array('gallery-cat')), 'multi' => true, 'sortable' => true, 'title' => __('排除分类', 'salong'), 'subtitle' => __('选择面包屑分类列表中需要排除的分类。', 'salong'), 'required' => array('switch_gallery_crumbs', 'equals', array('1'))), array('id' => 'gallery_cat_orderby', 'type' => 'select', 'title' => __('排序', 'salong'), 'subtitle' => __('选择排列顺序，可选择以下几种，默认按文章数量', 'salong'), 'options' => array('ID' => __('ID', 'salong'), 'name' => __('名称', 'salong'), 'slug' => __('别名', 'salong'), 'count' => __('文章数量', 'salong')), 'default' => 'count', 'required' => array('switch_gallery_crumbs', 'equals', array('1'))), array('id' => 'gallery_cat_order', 'type' => 'select', 'title' => __('顺序', 'salong'), 'subtitle' => __('选择升序或降序，默认降序', 'salong'), 'options' => array('asc' => __('升序', 'salong'), 'desc' => __('降序', 'salong')), 'default' => 'desc', 'required' => array('switch_gallery_crumbs', 'equals', array('1')))));
			// 商城分类
			$this->sections[] = array('title' => __('商城分类', 'salong'), 'subsection' => true, 'fields' => array(array('id' => 'switch_product_crumbs', 'type' => 'switch', 'title' => __('是否显示博客分类', 'salong'), 'subtitle' => __('默认显示，关闭将显示分类描述。', 'salong'), 'default' => true), array('id' => 'switch_product_hierarchical', 'type' => 'switch', 'title' => __('以子分类形式显示', 'salong'), 'subtitle' => __('默认显示', 'salong'), 'default' => true, 'required' => array('switch_product_crumbs', 'equals', array('1'))), array('id' => 'switch_product_show_count', 'type' => 'switch', 'title' => __('显示分类下的文章数量', 'salong'), 'subtitle' => __('默认显示', 'salong'), 'default' => true, 'required' => array('switch_product_crumbs', 'equals', array('1'))), array('id' => 'product_exclude_crumbs_cat', 'type' => 'select', 'data' => 'categories', 'args' => array('taxonomy' => array('product_cat')), 'multi' => true, 'sortable' => true, 'title' => __('排除分类', 'salong'), 'subtitle' => __('选择面包屑分类列表中需要排除的分类。', 'salong'), 'required' => array('switch_product_crumbs', 'equals', array('1'))), array('id' => 'product_cat_orderby', 'type' => 'select', 'title' => __('排序', 'salong'), 'subtitle' => __('选择排列顺序，可选择以下几种，默认按文章数量', 'salong'), 'options' => array('ID' => __('ID', 'salong'), 'name' => __('名称', 'salong'), 'slug' => __('别名', 'salong'), 'count' => __('文章数量', 'salong')), 'default' => 'count', 'required' => array('switch_product_crumbs', 'equals', array('1'))), array('id' => 'product_cat_order', 'type' => 'select', 'title' => __('顺序', 'salong'), 'subtitle' => __('选择升序或降序，默认降序', 'salong'), 'options' => array('asc' => __('升序', 'salong'), 'desc' => __('降序', 'salong')), 'default' => 'desc', 'required' => array('switch_product_crumbs', 'equals', array('1')))));
			// 边栏
			$this->sections[] = array('icon' => 'dashicons-admin-settings', 'title' => __('边栏', 'salong'), 'fields' => array(array('id' => 'sidebars', 'type' => 'multi_text', 'title' => __('自定义边栏', 'salong'), 'subtitle' => __('默认显示已添加了8小工具，不要移除默认的', 'salong'), 'default' => array(__('首页分类模块1', 'salong'), __('首页分类模块2', 'salong'), __('首页分类模块3', 'salong'), __('首页最新文章', 'salong'), __('博客', 'salong'), __('文章', 'salong'), __('商城', 'salong'), __('用户中心', 'salong'), __('移动', 'salong')))));
			// 推荐作者
			$this->sections[] = array('title' => __('推荐作者', 'salong'), 'subsection' => true, 'fields' => array(array('id' => 'users', 'type' => 'select', 'data' => 'users', 'multi' => true, 'sortable' => true, 'title' => __('推荐作者', 'salong'), 'subtitle' => __('选择要推荐的作者，显示在小工具推荐作者中', 'salong'))));
			// SMTP邮件发送
			$this->sections[] = array('title' => 'SMTP', 'icon' => 'dashicons-email-alt', 'fields' => array(array('id' => 'switch_smtp', 'type' => 'switch', 'title' => __('是否显示SMTP邮件发送', 'salong'), 'subtitle' => __('默认显示', 'salong'), 'default' => true), array('id' => 'smtp_name', 'type' => 'text', 'title' => __('发件人昵称', 'salong'), 'subtitle' => __('输入SMTP发件人昵称', 'salong'), 'default' => __('大理萨龙网络', 'salong'), 'required' => array('switch_smtp', 'equals', array('1'))), array('id' => 'smtp_username', 'type' => 'text', 'title' => __('认证用户名', 'salong'), 'subtitle' => __('输入SMTP认证用户名(完整邮件地址)', 'salong'), 'default' => 'admin@salongweb.com', 'required' => array('switch_smtp', 'equals', array('1'))), array('id' => 'smtp_password', 'type' => 'text', 'title' => __('认证密码', 'salong'), 'subtitle' => __('输入SMTP认证密码(登录邮箱的密码)', 'salong'), 'default' => '', 'required' => array('switch_smtp', 'equals', array('1'))), array('id' => 'smtp_host', 'type' => 'text', 'title' => __('服务器地址', 'salong'), 'subtitle' => __('输入SMTP服务器地址', 'salong'), 'default' => 'smtp.ym.163.com', 'required' => array('switch_smtp', 'equals', array('1'))), array('id' => 'smtp_port', 'type' => 'text', 'title' => __('服务器端口', 'salong'), 'subtitle' => __('输入SMTP服务器端口，一般默认25，启用SSL一般为465', 'salong'), 'default' => '25', 'required' => array('switch_smtp', 'equals', array('1'))), array('id' => 'switch_secure', 'type' => 'switch', 'title' => __('是否启用SSL', 'salong'), 'subtitle' => __('默认不启用，启用后请设置服务器端口为465。', 'salong'), 'default' => false, 'required' => array('switch_smtp', 'equals', array('1')))));
			// 优化
			$this->sections[] = array('icon' => 'dashicons-admin-tools', 'title' => __('优化', 'salong'), 'fields' => array(array('id' => 'switch_link_go', 'type' => 'switch', 'title' => __('外链跳转', 'salong'), 'subtitle' => __('默认启用，外部链接添加自动跳转，包括评论者链接。', 'salong'), 'default' => true), array('id' => 'switch_new_open_link', 'type' => 'switch', 'title' => __('链接新窗口打开', 'salong'), 'subtitle' => __('默认启用', 'salong'), 'default' => true), array('id' => 'switch_upload_path', 'type' => 'switch', 'title' => __('显示上传设置', 'salong'), 'subtitle' => __('默认启用，在设置——多媒体中设置路径', 'salong'), 'default' => true), array('id' => 'switch_useradd_time', 'type' => 'switch', 'title' => __('后台用户列表中显示注册时间', 'salong'), 'subtitle' => __('默认启用', 'salong'), 'default' => true), array('id' => 'switch_max_srcset', 'type' => 'switch', 'title' => __('禁用WP响应式图片功能', 'salong'), 'subtitle' => __('默认启用', 'salong'), 'default' => true), array('id' => 'switch_post_id', 'type' => 'switch', 'title' => __('直接显示文章ID', 'salong'), 'subtitle' => __('默认启用，在后台直接显示文章页面自定义文章类型文章的ID。', 'salong'), 'default' => true), array('id' => 'switch_pingback', 'type' => 'switch', 'title' => __('禁用站内PingBack', 'salong'), 'subtitle' => __('默认启用，增加网站安全性与速度。', 'salong'), 'default' => true), array('id' => 'remove_category_slug', 'type' => 'switch', 'title' => __('移除category分类标记', 'salong'), 'subtitle' => __('默认启用，将移除category分类标记', 'salong'), 'default' => true), array('id' => 'switch_header_code', 'type' => 'switch', 'title' => __('禁用头部冗余代码', 'salong'), 'subtitle' => __('默认启用，将移除头部无关紧要的代码，保证代码的干净，提高效率及安全性。', 'salong'), 'default' => true), array('id' => 'switch_feed', 'type' => 'switch', 'title' => __('禁用RSS Feed', 'salong'), 'subtitle' => __('禁用RSS Feed防止rss采集', 'salong'), 'default' => true), array('id' => 'switch_capital_P_dangit', 'type' => 'switch', 'title' => __('禁用WordPress大小写函数', 'salong'), 'subtitle' => __('默认启用，禁止自动把\'Wordpress\'之类的变成\'WordPress\'。', 'salong'), 'default' => true), array('id' => 'switch_shortcode_unautop', 'type' => 'switch', 'title' => __('Shortcode优先于wpautop执行', 'salong'), 'subtitle' => __('默认启用，简码将优于wpautop执行。', 'salong'), 'default' => true), array('id' => 'switch_rest_api', 'type' => 'switch', 'title' => __('禁用REST API', 'salong'), 'subtitle' => __('默认启用，一般用不上。', 'salong'), 'default' => true), array('id' => 'switch_post_revision', 'type' => 'switch', 'title' => __('禁用日志修订功能', 'salong'), 'subtitle' => __('默认启用', 'salong'), 'default' => true), array('id' => 'switch_autosave', 'type' => 'switch', 'title' => __('禁用文章自动保存', 'salong'), 'subtitle' => __('默认启用', 'salong'), 'default' => true), array('id' => 'switch_browse_happy', 'type' => 'switch', 'title' => __('禁用Browse Happy', 'salong'), 'subtitle' => __('默认启用', 'salong'), 'default' => true), array('id' => 'switch_recently_active_plugins', 'type' => 'switch', 'title' => __('禁止显示最近启用过的插件', 'salong'), 'subtitle' => __('默认启用', 'salong'), 'default' => true), array('id' => 'switch_dashboard_widgets', 'type' => 'switch', 'title' => __('移除仪表盘小工具', 'salong'), 'subtitle' => __('默认启用', 'salong'), 'default' => true), array('id' => 'switch_staticize_emoji', 'type' => 'switch', 'title' => __('禁止Emoji表情', 'salong'), 'subtitle' => __('默认启用，提高网站加载速度', 'salong'), 'default' => true), array('id' => 'switch_wp_cron', 'type' => 'switch', 'title' => __('禁用文章定时发布功能', 'salong'), 'subtitle' => __('默认启用，如果网站不需要定时发布功能可以启用。', 'salong'), 'default' => true), array('id' => 'switch_xmlrpc_enabled', 'type' => 'switch', 'title' => __('禁用XML-RPC接口', 'salong'), 'subtitle' => __('默认启用，如果网站无需通过APP客户端发布日志，离线发布功能就启用。', 'salong'), 'default' => true), array('id' => 'switch_admin_color_schemes', 'type' => 'switch', 'title' => __('移除管理界面配色方案', 'salong'), 'subtitle' => __('默认启用，我的个人资料中的配色将不显示。', 'salong'), 'default' => true), array('id' => 'switch_login_errors', 'type' => 'switch', 'title' => __('移除登陆错误提示', 'salong'), 'subtitle' => __('默认启用，登录错误将不提示，有利于网站安全。', 'salong'), 'default' => true), array('id' => 'switch_redirect_single_post', 'type' => 'switch', 'title' => __('重定向到日志', 'salong'), 'subtitle' => __('默认启用，当搜索结果只有一篇时直接重定向到日志。', 'salong'), 'default' => true), array('id' => 'switch_search_by_title_only', 'type' => 'switch', 'title' => __('只搜索文章标题', 'salong'), 'subtitle' => __('默认启用，关键字搜索只匹配标题。', 'salong'), 'default' => true), array('id' => 'switch_remove_logo', 'type' => 'switch', 'title' => __('移除工具栏上WordPress LOGO', 'salong'), 'subtitle' => __('默认启用，将移除LOGO', 'salong'), 'default' => true), array('id' => 'switch_date_default', 'type' => 'switch', 'title' => __('重置系统时间为北京时间', 'salong'), 'subtitle' => __('默认不启用，如果与系统时间相关8小时请启用。', 'salong'), 'default' => false), array('id' => 'switch_shortcode_auto', 'type' => 'switch', 'title' => __('禁止简码自动添加p与br标签', 'salong'), 'subtitle' => __('默认启用，将移除简码中的p与br标签', 'salong'), 'default' => true), array('id' => 'switch_copy', 'type' => 'switch', 'title' => __('禁止复制内容', 'salong'), 'subtitle' => __('默认禁用，启用前台页面将不能选择和复制内容，同时禁止鼠标右键', 'salong'), 'default' => false), array('id' => 'switch_content_auto', 'type' => 'switch', 'title' => __('禁止整个文章自动添加p与br标签', 'salong'), 'subtitle' => __('默认禁用，启用将移除整个文章内容中的p与br标签，该项包括上一项的功能，所以启用该项就关闭上一项。', 'salong'), 'default' => false), array('id' => 'switch_update_core', 'type' => 'switch', 'title' => __('后台更新提示', 'salong'), 'subtitle' => __('默认禁用，启用将移除后台核心，插件和主题的更新提示。', 'salong'), 'default' => false), array('id' => 'switch_wp_oembed', 'type' => 'switch', 'title' => __('文章Embed功能', 'salong'), 'subtitle' => __('默认禁用，启用后视频或其它链接将不会进行转换。', 'salong'), 'default' => false), array('id' => 'switch_weihu', 'type' => 'switch', 'title' => __('网站维护功能', 'salong'), 'subtitle' => __('默认禁用', 'salong'), 'default' => false)));
			// 登录地址
			$this->sections[] = array('title' => __('登录地址', 'salong'), 'desc' => __('重定义登录地址，链接地址默认为：http://yourdomain.com/wp-login.php?word=press，域名已经自动获取站点域名，需要修改“word”和“press”两个值，修改后要牢记了。', 'salong'), 'subsection' => true, 'fields' => array(array('id' => 'switch_admin_link', 'type' => 'switch', 'title' => __('是否自定义登录地址', 'salong'), 'subtitle' => __('默认禁用', 'salong'), 'default' => false), array('id' => 'admin_word', 'type' => 'text', 'title' => __('第一个值', 'salong'), 'subtitle' => __('重新设置“word”值', 'salong'), 'default' => 'word', 'required' => array('switch_admin_link', 'equals', array('1'))), array('id' => 'admin_press', 'type' => 'text', 'title' => __('第二个值', 'salong'), 'subtitle' => __('重新设置“press”值', 'salong'), 'default' => 'press', 'required' => array('switch_admin_link', 'equals', array('1')))));
			// 禁止冒充管理员评论
			$this->sections[] = array('title' => __('禁止冒充管理员评论', 'salong'), 'subsection' => true, 'fields' => array(array('id' => 'switch_incoming_comment', 'type' => 'switch', 'title' => __('禁止冒充管理员评论', 'salong'), 'subtitle' => __('默认启用', 'salong'), 'default' => true), array('id' => 'admin_email', 'type' => 'text', 'title' => __('管理员邮箱', 'salong'), 'subtitle' => __('输入管理员邮箱，防止小人冒充管理员进行评论', 'salong'), 'default' => 'admin@salongweb.com', 'required' => array('switch_incoming_comment', 'equals', array('1')))));
			// 站长验证
			$this->sections[] = array('title' => __('站长验证', 'salong'), 'desc' => __('在站长工具中添加网站时，选择HTML标记验证，代码类似：<meta name="google-site-verification" content="KEY" / >，KEY就是需要输入的值，不输出这不显示此段代码。', 'salong'), 'subsection' => true, 'fields' => array(array('id' => 'google_key', 'type' => 'text', 'title' => __('谷歌站长工具', 'salong'), 'subtitle' => __('输入HTML标记中的KEY', 'salong'), 'default' => ''), array('id' => 'baidu_key', 'type' => 'text', 'title' => __('百度站长工具', 'salong'), 'subtitle' => __('输入HTML标记中的KEY', 'salong'), 'default' => ''), array('id' => '360_key', 'type' => 'text', 'title' => __('360站长工具', 'salong'), 'subtitle' => __('输入HTML标记中的KEY', 'salong'), 'default' => '')));
			// 广告
			$this->sections[] = array('icon' => 'dashicons-controls-volumeon', 'title' => '广告', 'fields' => array());
			// 博客页面广告
			$this->sections[] = array('title' => __('博客页面广告', 'salong'), 'desc' => __('输入任意联盟广告和自定义广告的代码，页面包括，所有文章列表页面。', 'salong'), 'subsection' => true, 'fields' => array(array('id' => 'ad_blog', 'type' => 'editor', 'title' => __('桌面', 'salong'), 'subtitle' => __('输入桌面广告代码', 'salong'), 'default' => __('<a href="https://salongweb.com/" title="LensNews" target="_blank"><img src="' . get_template_directory_uri() . '/images/ad.jpg" alt="LensNews"></a>', 'salong'), 'args' => array('media_buttons' => false, 'textarea_rows' => 3)), array('id' => 'ad_blog_mobile', 'type' => 'editor', 'title' => __('移动', 'salong'), 'subtitle' => __('输入移动广告代码', 'salong'), 'default' => __('<a href="https://salongweb.com/" title="LensNews" target="_blank"><img src="' . get_template_directory_uri() . '/images/ad.jpg" alt="LensNews"></a>', 'salong'), 'args' => array('media_buttons' => false, 'textarea_rows' => 3))));
			// 文章标题下的广告
			$this->sections[] = array('title' => __('文章标题下的广告', 'salong'), 'desc' => __('输入任意联盟广告和自定义广告的代码。', 'salong'), 'subsection' => true, 'fields' => array(array('id' => 'ad_single', 'type' => 'editor', 'title' => __('桌面', 'salong'), 'subtitle' => __('输入桌面广告代码', 'salong'), 'default' => __('<a href="https://salongweb.com/" title="LensNews" target="_blank"><img src="' . get_template_directory_uri() . '/images/ad.jpg" alt="LensNews"></a>', 'salong'), 'args' => array('media_buttons' => false, 'textarea_rows' => 3)), array('id' => 'ad_single_mobile', 'type' => 'editor', 'title' => __('移动', 'salong'), 'subtitle' => __('输入移动广告代码', 'salong'), 'default' => __('<a href="https://salongweb.com/" title="LensNews" target="_blank"><img src="' . get_template_directory_uri() . '/images/ad.jpg" alt="LensNews"></a>', 'salong'), 'args' => array('media_buttons' => false, 'textarea_rows' => 3))));
			// 相关文章下的广告
			$this->sections[] = array('title' => __('相关文章下的广告', 'salong'), 'desc' => __('输入任意联盟广告和自定义广告的代码。', 'salong'), 'subsection' => true, 'fields' => array(array('id' => 'ad_related', 'type' => 'editor', 'title' => __('桌面', 'salong'), 'subtitle' => __('输入桌面广告代码', 'salong'), 'default' => __('<a href="https://salongweb.com/" title="LensNews" target="_blank"><img src="' . get_template_directory_uri() . '/images/ad.jpg" alt="LensNews"></a>', 'salong'), 'args' => array('media_buttons' => false, 'textarea_rows' => 3)), array('id' => 'ad_related_mobile', 'type' => 'editor', 'title' => __('移动', 'salong'), 'subtitle' => __('输入移动广告代码', 'salong'), 'default' => __('<a href="https://salongweb.com/product/" title="LensNews" target="_blank"><img src="' . get_template_directory_uri() . '/images/ad.jpg" alt="LensNews"></a>', 'salong'), 'args' => array('media_buttons' => false, 'textarea_rows' => 3))));
			// 分类模块1下的广告
			$this->sections[] = array('title' => __('分类模块1下的广告', 'salong'), 'desc' => __('输入任意联盟广告和自定义广告的代码。', 'salong'), 'subsection' => true, 'fields' => array(array('id' => 'ad_cat1', 'type' => 'editor', 'title' => __('桌面', 'salong'), 'subtitle' => __('输入桌面广告代码', 'salong'), 'default' => __('<a href="https://salongweb.com/" title="LensNews" target="_blank"><img src="' . get_template_directory_uri() . '/images/ad.jpg" alt="LensNews"></a>', 'salong'), 'args' => array('media_buttons' => false, 'textarea_rows' => 3)), array('id' => 'ad_cat1_mobile', 'type' => 'editor', 'title' => __('移动', 'salong'), 'subtitle' => __('输入移动广告代码', 'salong'), 'default' => __('<a href="https://salongweb.com/" title="LensNews" target="_blank"><img src="' . get_template_directory_uri() . '/images/ad.jpg" alt="LensNews"></a>', 'salong'), 'args' => array('media_buttons' => false, 'textarea_rows' => 3))));
			// 分类模块2下的广告
			$this->sections[] = array('title' => __('分类模块2下的广告', 'salong'), 'desc' => __('输入任意联盟广告和自定义广告的代码。', 'salong'), 'subsection' => true, 'fields' => array(array('id' => 'ad_cat2', 'type' => 'editor', 'title' => __('桌面', 'salong'), 'subtitle' => __('输入桌面广告代码', 'salong'), 'default' => __('<a href="https://salongweb.com/" title="LensNews" target="_blank"><img src="' . get_template_directory_uri() . '/images/ad.jpg" alt="LensNews"></a>', 'salong'), 'args' => array('media_buttons' => false, 'textarea_rows' => 3)), array('id' => 'ad_cat2_mobile', 'type' => 'editor', 'title' => __('移动', 'salong'), 'subtitle' => __('输入移动广告代码', 'salong'), 'default' => __('<a href="https://salongweb.com/" title="LensNews" target="_blank"><img src="' . get_template_directory_uri() . '/images/ad.jpg" alt="LensNews"></a>', 'salong'), 'args' => array('media_buttons' => false, 'textarea_rows' => 3))));
			// 分类模块3下的广告
			$this->sections[] = array('title' => __('分类模块3下的广告', 'salong'), 'desc' => __('输入任意联盟广告和自定义广告的代码。', 'salong'), 'subsection' => true, 'fields' => array(array('id' => 'ad_cat3', 'type' => 'editor', 'title' => __('桌面', 'salong'), 'subtitle' => __('输入桌面广告代码', 'salong'), 'default' => __('<a href="https://salongweb.com/" title="LensNews" target="_blank"><img src="' . get_template_directory_uri() . '/images/ad.jpg" alt="LensNews"></a>', 'salong'), 'args' => array('media_buttons' => false, 'textarea_rows' => 3)), array('id' => 'ad_cat3_mobile', 'type' => 'editor', 'title' => __('移动', 'salong'), 'subtitle' => __('输入移动广告代码', 'salong'), 'default' => __('<a href="https://salongweb.com/" title="LensNews" target="_blank"><img src="' . get_template_directory_uri() . '/images/ad.jpg" alt="LensNews"></a>', 'salong'), 'args' => array('media_buttons' => false, 'textarea_rows' => 3))));
			// SEO
			$this->sections[] = array('icon' => 'dashicons-welcome-view-site', 'title' => 'SEO', 'fields' => array(array('id' => 'switch_seo', 'type' => 'switch', 'title' => __('是否启用SEO', 'salong'), 'subtitle' => __('默认启用，主题各个页面的SEO已经设计好，如果你觉得插件更好用，请禁用此功能。', 'salong'), 'default' => true), array('id' => 'description', 'type' => 'textarea', 'title' => __('博客描述', 'salong'), 'subtitle' => __('输入博客描述', 'salong'), 'default' => '专注高端网站设计与开发，为您提供一个现代、干净的WEB站点！', 'required' => array('switch_seo', 'equals', '1')), array('id' => 'keywords', 'type' => 'textarea', 'title' => __('博客关键词', 'salong'), 'subtitle' => __('输入关键字描述', 'salong'), 'default' => '高端网站建设,大理网站建设,企业电子商城网站,客栈房间预订系统,主机租用,网站托管,Wordpress主题设计开发,Wordpress商城主题,Wordpress网站建设,简约设计,现代干净的设计', 'required' => array('switch_seo', 'equals', '1'))));
			// 代码
			$this->sections[] = array('icon' => 'dashicons-schedule', 'title' => __('代码', 'salong'), 'fields' => array(array('id' => 'css_code', 'type' => 'ace_editor', 'title' => __('自定义CSS代码', 'salong'), 'subtitle' => __('拷贝你的CSS代码到这里。', 'salong'), 'mode' => 'css', 'theme' => 'monokai', 'default' => ""), array('id' => 'tracking_code', 'type' => 'textarea', 'title' => __('网站统计代码', 'salong'), 'subtitle' => __('粘贴你的谷歌分析（或其他）的跟踪代码在这里（包括<script></script>标签）。这将被添加到你的主题的页脚模板。', 'salong'), 'theme' => 'chrome', 'default' => ""), array('id' => 'map_js', 'type' => 'ace_editor', 'title' => __('高德地图JS代码', 'salong'), 'subtitle' => __('添加简码：[map]到联系页面中。', 'salong'), 'desc' => __('请到<a href="http://lbs.amap.com/console/show/tools" target="_blank">高德地图API</a>中创建地图，再输入高德地图JS代码（<script></script>中的代码）到代码框。之前是使用百度地图，但百度地图需要申请API，而且与主题中的压缩HTML代码有冲突，所以决定用高德地图，还不错。', 'salong'), 'mode' => 'javascript', 'theme' => 'chrome', 'default' => ''), array('id' => 'header_code', 'type' => 'editor', 'title' => __('网站头部代码', 'salong'), 'subtitle' => __('将显示在网站头部下的代码，可以添加需要在头部优先加载的CSS、JS与HTML代码。', 'salong'), 'default' => '', 'args' => array('media_buttons' => false, 'textarea_rows' => 3)), array('id' => 'footer_code', 'type' => 'editor', 'title' => __('网站底部代码', 'salong'), 'subtitle' => __('将显示在网站页脚上的代码，可以添加需要在头部优先加载的CSS、JS与HTML代码。', 'salong'), 'default' => '', 'args' => array('media_buttons' => false, 'textarea_rows' => 3))));
			// 页脚
			$this->sections[] = array('icon' => 'dashicons-carrot', 'title' => __('页脚', 'salong'), 'fields' => array(array('id' => 'copyright_text', 'type' => 'editor', 'title' => __('版权', 'salong'), 'subtitle' => __('输入页脚版权', 'salong'), 'default' => __('Copyright © 2012-2016 <a target="_blank" title="萨龙网络｜专注高端网站设计与开发，为您提供一个现代、干净的WEB站点！" href="https://salongweb.com">萨龙网络</a>.保留所有权利', 'salong'), 'args' => array('media_buttons' => false, 'textarea_rows' => 3)), array('id' => 'salongtheme_text', 'type' => 'editor', 'title' => __('底部信息', 'salong'), 'subtitle' => __('输入页脚底部信息', 'salong'), 'default' => __('本站使用萨龙网络原创主题：<a href="https://salongweb.com" title="' . __('集新闻、视频、画廊、商城与用户中心于一体的多功能WordPress主题！', 'salong') . '" target="_blank">LensNews</a>', 'salong'), 'args' => array('media_buttons' => false, 'textarea_rows' => 3))));
			// 侧边按钮
			$this->sections[] = array('title' => __('侧边按钮', 'salong'), 'desc' => __('整站侧边按钮的设置。', 'salong'), 'subsection' => true, 'fields' => array(array('id' => 'side_metas', 'type' => 'button_set', 'multi' => true, 'title' => __('侧边按钮', 'salong'), 'options' => array('search' => __('搜索', 'salong'), 'wechat' => __('微信公众号二维码', 'salong'), 'line' => __('联系二维码', 'salong'), 'weibo' => __('新浪微博', 'salong'), 'gb2big5' => __('简繁切换', 'salong'), 'comment' => __('去评论', 'salong'), 'top' => __('回顶部', 'salong')), 'default' => array('search', 'wechat', 'line', 'weibo', 'gb2big5', 'comment', 'top'), 'subtitle' => __('选择需要显示的侧边按钮', 'salong'), 'desc' => __('如果没有更新二维码图片或链接，按钮图样将不显示', 'salong')), array('id' => 'wechat', 'type' => 'media', 'url' => true, 'title' => __('微信公众号', 'salong'), 'compiler' => true, 'readonly' => false, 'subtitle' => __('更新微信公众号二维码图片，建议大小：258*258', 'salong'), 'default' => array('url' => get_template_directory_uri() . '/images/wechat.jpg')), array('id' => 'weibo_link', 'type' => 'text', 'title' => __('新浪微博链接', 'salong'), 'subtitle' => __('输入新浪微博首页链接', 'salong'), 'default' => 'http://weibo.com/salonglong')));
			// 联系二维码
			$this->sections[] = array('title' => __('联系二维码', 'salong'), 'desc' => __('侧边联系二维码弹窗内容设置。', 'salong'), 'subsection' => true, 'fields' => array(array('id' => 'line_title', 'type' => 'text', 'title' => __('标题', 'salong'), 'subtitle' => __('输入联系二维码标题', 'salong'), 'default' => __('扫描二维码即刻联系我们', 'salong')), array('id' => 'line_desc', 'type' => 'textarea', 'title' => __('描述', 'salong'), 'subtitle' => __('输入联系二维码描述', 'salong'), 'default' => __('萨龙网络的每款主题都是诚意之作，价格合理。所以朋友，请怀着一颗诚挚的心联系我们，不要来讨价还价，我们也将送上最诚挚的服务！', 'salong')), array('id' => 'weixinqr', 'type' => 'media', 'url' => true, 'compiler' => true, 'readonly' => false, 'title' => __('微信二维码', 'salong'), 'subtitle' => __('更新微信二维码图片，建议大小：258*258', 'salong'), 'default' => array('url' => get_template_directory_uri() . '/images/weixinQR.jpg')), array('id' => 'qqqr', 'type' => 'media', 'url' => true, 'compiler' => true, 'readonly' => false, 'title' => __('QQ二维码', 'salong'), 'subtitle' => __('更新QQ二维码图片，建议大小：258*258', 'salong'), 'default' => array('url' => get_template_directory_uri() . '/images/qqQR.jpg'))));
			$this->sections[] = array('type' => 'divide');
			$this->sections[] = array('icon' => 'dashicons-smiley', 'title' => __('主题信息', 'salong'), 'desc' => '<a target="_blank" title="' . __('萨龙网络｜专注高端网站设计与开发，为您提供一个现代、干净的WEB站点！', 'salong') . '" href="https://salongweb.com">' . __('萨龙网络原创主题', 'salong') . '</a>', 'fields' => array(array('id' => 'raw_new_info', 'type' => 'raw', 'content' => $item_info)));
		}
		/**
		 * All the possible arguments for Redux.
		 * For full documentation on arguments, please refer to: https://github.com/ReduxFramework/ReduxFramework/wiki/Arguments
		 **/
		public function setArguments()
		{
			$theme = wp_get_theme();
			// For use with some settings. Not necessary.
			$this->args = array('opt_name' => 'salong', 'display_name' => $theme->get('Name'), 'display_version' => $theme->get('Version'), 'menu_type' => 'menu', 'allow_sub_menu' => true, 'menu_title' => __('主题选项', 'salong'), 'page_title' => __('主题选项', 'salong'), 'google_api_key' => 'AIzaSyBTFiwsbTWfSMvvClQjz192yMJOdIKNMoo', 'async_typography' => false, 'admin_bar' => true, 'global_variable' => 'salong', 'dev_mode' => false, 'update_notice' => false, 'customizer' => true, 'page_priority' => null, 'page_parent' => 'themes.php', 'page_permissions' => 'manage_options', 'menu_icon' => '', 'last_tab' => '', 'page_icon' => 'icon-themes', 'page_slug' => '_options', 'save_defaults' => true, 'default_show' => false, 'default_mark' => '', 'show_import_export' => true, 'transient_time' => 60 * MINUTE_IN_SECONDS, 'output' => true, 'output_tag' => true, 'database' => '', 'system_info' => false, 'hints' => array('icon' => 'icon-question-sign', 'icon_position' => 'right', 'icon_color' => 'lightgray', 'icon_size' => 'normal', 'tip_style' => array('color' => 'light', 'shadow' => true, 'rounded' => false, 'style' => ''), 'tip_position' => array('my' => 'top left', 'at' => 'bottom right'), 'tip_effect' => array('show' => array('effect' => 'slide', 'duration' => '500', 'event' => 'mouseover'), 'hide' => array('effect' => 'slide', 'duration' => '500', 'event' => 'click mouseleave'))));
			// Panel Intro text -> before the form
			if (!isset($this->args['global_variable']) || $this->args['global_variable'] !== false) {
				if (!empty($this->args['global_variable'])) {
					$v = $this->args['global_variable'];
				} else {
					$v = str_replace('-', '_', $this->args['opt_name']);
				}
				$this->args['intro_text'] = sprintf('<p></p>');
			} else {
				$this->args['intro_text'] = sprintf('<p></p>');
			}
		}
	}
	global $reduxConfig;
	$reduxConfig = new Redux_Framework_sample_config();
}